From: isozaki@ntt-20.ntt.jp (Hideki ISOZAKI)
Newsgroups: fj.sources
Subject: Miscellaneous style files for LaTeX
Date: 9 Jul 92 05:00:58 GMT
Distribution: fj
Organization: NTT Basic Research Laboratories


epsf.sty, eclcolor.sty, ecluntab.sty ʤɤΥХեå 
ͭդʤɤΤοեǤ

				꽨  ΣԣԴø


#!/bin/sh
# This is a shell archive (produced by shar 3.49)
# To extract the files from this archive, save it to a file, remove
# everything above the "!/bin/sh" line above, and type "sh file_name".
#
# made 07/09/1992 04:55 UTC by isozaki@expert-sun
# Source directory /usr2/usr/isozaki/ECLsty
#
# existing files will NOT be overwritten unless -c is specified
#
# This is part 1 of a multipart archive                                    
# do not concatenate these parts, unpack them in order with /bin/sh        
#
# This shar contains:
# length  mode       name
# ------ ---------- ------------------------------------------
#    411 -rw-r--r-- README
#  15055 -rw-r--r-- eclarith.sty
#   3333 -rw-r--r-- eclarith.tex
#   6817 -rw-r--r-- eclcolor.sty
#    412 -rw-r--r-- eclcolor.tex
#   4060 -rw-r--r-- ecldig.sty
#    805 -rw-r--r-- ecldig.tex
#   7067 -rw-r--r-- ecleepic.sty
#    511 -rw-r--r-- ecleepic.tex
#   7600 -rw-r--r-- eclepsf.sty
#   1787 -rw-r--r-- eclepsf.tex
#   2005 -rw-r--r-- ecluntab.sty
#    869 -rw-r--r-- ecluntab.tex
#  16693 -rw-r--r-- eepic.sty
#  25856 -rw-r--r-- epic.sty
#   8415 -rw-r--r-- hiraa.ps
#
if test -r _shar_seq_.tmp; then
	echo 'Must unpack archives in sequence!'
	echo Please unpack part `cat _shar_seq_.tmp` next
	exit 1
fi
# ============= README ==============
if test -f 'README' -a X"$1" != X"-c"; then
	echo 'x - skipping README (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting README (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'README' &&
Original epic.sty and eepic.sty had several bugs.
Please use these style files in this kit
instead of original ones.
X
eclarith ... Arithmetic
eclcolor ... Color (for dvi2ps-j and xdvi)
ecldig   ... Drawing Directed Graphs
ecleepic ... eepic without \special
eclepsf  ... Encapusulated PostScript (for dvi2ps-j)
ecluntab ... untabifying verbatim environment in \fbox
X
Hideki Isozaki  
NTT Basic Research Labs.
X
X
SHAR_EOF
chmod 0644 README ||
echo 'restore of README failed'
Wc_c="`wc -c < 'README'`"
test 411 -eq "$Wc_c" ||
	echo 'README: original size 411, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= eclarith.sty ==============
if test -f 'eclarith.sty' -a X"$1" != X"-c"; then
	echo 'x - skipping eclarith.sty (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting eclarith.sty (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'eclarith.sty' &&
% eclarith.sty by Hideki Isozaki
X
\edef\orig@colon{\the\catcode`\!}
X
\typeout{eclarith.sty 1.1 --- July 1, 1992}
X
\catcode`\!=11
\newdimen\ari!A
\newdimen\ari!B
\newcount\ari!C
\newcount\ari!D
X
{\catcode`\p=12\catcode`\t=12\gdef\!!Eval#1pt{#1}}
\def\!Eval#1#2{\edef#2{\expandafter\!!Eval\the#1}}
X
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%            + - * /
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
X
X
\def\Add#1#2#3{% #3=#1+#2
X	\ari!A=#1\p@ \advance\ari!A by #2\p@ \!Eval\ari!A{#3}}
X
\def\Sub#1#2#3{% #3=#1-#2
X	\ari!A=#1\p@ \advance\ari!A by -#2\p@ \!Eval\ari!A{#3}}
X
\def\Mul#1#2#3{% #3=#1*#2
X	\ari!A=#1\p@ \ari!A=#2\ari!A \!Eval\ari!A{#3}}
X
\def\MinMax#1#2#3#4{% #3=min(#1,#2), #4=max(#1,#2)
X	\ifdim#1\p@>#2\p@
X		\edef#3{#2}\edef#4{#1}%
X	\else
X		\edef#3{#1}\edef#4{#2}%
X	\fi}
X
\def\DivMod#1#2#3#4{% #3=#1 div #2, #4=#1 mod #2, #1,#2>0
X	\ari!C=#1\ari!D=#1\divide\ari!C by #2\relax
X	\edef#3{\the\ari!C}\multiply\ari!C by #2\relax
X	\advance\ari!D by -\ari!C \edef#4{\the\ari!D}}
X
\def\!Floor#1#2#3#4{% #3=floor(#1/#2), #4=#1-floor(#1/#2)*#2, #1,#2>0
X	\ifdim#2\p@>\z@\else
X		\@latexerr{Invalid arg! DivMod{#1}{#2}{#3}{#4}}\@ehd\fi
X	\ari!A=#1\p@\ari!B=#2\p@\divide\ari!A by \ari!B\relax
X	\ari!B=\ari!A \multiply\ari!B by \p@ \!Eval\ari!B{#3}%
X	\ari!B=#2\p@\multiply\ari!A by \ari!B
X	\ari!B=#1\p@\advance\ari!B by -\ari!A \!Eval\ari!B{#4}}
X
\def\!Ceil#1#2#3#4{%  #3=ceil(#1/#2), #4=-#1-ceil(#1/#2)*#2, #1,#2>0
X	\Floor{#1}{#2}\ari!cq\ari!cr
X	\ari!A=\ari!cq\p@ \ari!B=\ari!cr\p@
X	\ifdim\ari!B=\z@\else
X		\advance\ari!A by \p@ \advance\ari!B by -#2\p@
X	\fi\!Eval\ari!A{#3}\!Eval\ari!B{#4}}
X
\def\Floor#1#2#3#4{%
X	\ifdim#1\p@<\z@
X		\!Ceil{-#1}{#2}\ari!fq\ari!fr \edef#3{-\ari!fq}%
X		\ari!A=-\ari!fr\p@ \!Eval\ari!A{#4}%
X	\else
X		\!Floor{#1}{#2}{#3}{#4}%
X	\fi}
X
\def\Ceil#1#2#3#4{%
X	\ifdim#1\p@<\z@
X		\!Floor{-#1}{#2}\ari!fq\ari!fr \edef#3{-\ari!fq}%
X		\ari!A=-\ari!fr\p@ \!Eval\ari!A{#4}%
X	\else
X		\!Ceil{#1}{#2}{#3}{#4}%
X	\fi}
X
% Ca=abs(#1); Cs=sign(#1); Da=abs(#2); Ds=sign(#2);
% CDs=Cs*Ds;
% Cx=(int)Ca*65536; Dx=(int)Da*65536;
% Qx=Cx div Dx; Rx=Cx mod Dx;
% if(CDs<0) sprintf(#3,'-');
% sprintf(#3,'%s%d.',#3,Qx); Cx=Rx*10; /* 1 */
% Qx=Cx div Dx; Rx=Cx mod Dx;
% sprintf(#3,'%s%d',#3,Qx); Cx=Rx*10;  /* 0.1 */
% Qx=Cx div Dx; Rx=Cx mod Dx;
% sprintf(#3,'%s%d',#3,Qx); Cx=Rx*10;  /* 0.01 */
% ...
X
\def\Div#1#2#3{% #3=#1/#2
X	\AbsSign{#1}{\ari!Ca}{\ari!Cs}% 
X	\AbsSign{#2}{\ari!Da}{\ari!Ds}%
X	\AbsSign{\ari!Cs\ari!Ds1}{\ari!CDa}{\ari!CDs}% sign(#1*#2)
X	\ari!A=\ari!Ca\p@ \ari!B=\ari!Da\p@ \ari!C=\ari!A \ari!D=\ari!B
X	\edef\ari!Cx{\the\ari!C}\edef\ari!Dx{\the\ari!D}%
X	\DivMod\ari!Cx\ari!Dx\ari!Qx\ari!Rx \edef\ari!fr{\ari!CDs\ari!Qx.}%
X	\dv!deci\dv!deci\dv!deci\dv!deci\dv!deci\dv!deci\let#3=\ari!fr}
X
\def\dv!deci{\ifnum\ari!Rx=\z@\else
X	\ari!C=\ari!Rx\multiply\ari!C by 10\edef\ari!Cx{\the\ari!C}%
X	\DivMod\ari!Cx\ari!Dx\ari!Qx\ari!Rx\edef\ari!fr{\ari!fr\ari!Qx}\fi}
X
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          Square Root
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
X
%  Newton x_{n+1} = 1/2 * (x_n + a/x_n)
%  A=#1; 
%  Sx = #1 / 2 + 1; /* x_0=a/2+1 >= sqrt(a) */
%  while(Ax>0.0001){
%     Vx = (Sx + #1/Sx)/2; 
%     Ax = Sx - Vx; /* error Ax>=0 */
%     Sx = Vx;}
%  #2 = Sx;
X
\def\Sqroot#1#2{% SQRT(#1)=#2 
X	\edef\ari!Ax{#1}%
X	\ifdim\ari!Ax\p@<\z@\@latexerr{Sqroot(\string#1<0)!}\@ehd\fi
X	\Div{#1}{2}\ari!Tx \Add\ari!Tx{1}\ari!Sx
X	\let\ari!Tx=\relax
X	\@whiledim\ari!Ax\p@>0.0001\p@\do{%
X		\Div{#1}\ari!Sx\ari!Tx \Add\ari!Sx\ari!Tx\ari!Ux
X		\Div\ari!Ux{2}\ari!Vx \Sub\ari!Sx\ari!Vx\ari!Ax
X		\let\ari!Sx=\ari!Vx}%
X	\let#2=\ari!Sx}
X
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%        Absolute Value and Sign
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
X
X
\def\AbsSign#1#2#3{% #2=abs(#1), #3=sign(#1)
X	\ari!A=#1\p@
X	\ifdim\ari!A<\z@\relax
X		\ari!A=-\ari!A\def#3{-}%
X	\else
X		\let#3=\@empty
X	\fi \!Eval\ari!A{#2}}
X
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%        Normalize Vector
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
X
X
% (#1,#2)/||(#1,#2)||=(#3,#4)
%  Ax=abs(#1); As=sign(#1); Bx=abs(#2); Bs=sign(#2);
%  Mx=max(Ax,Bx); Nx=min(Ax,Bx);
%  Cx=Nx/Mx; /* Cx < 1 */
%  Fx=sqrt(Cx^2+1);  /* Fx = sqrt(Mx^2+Nx^2)/Mx */
%  Mu=1/Fx; Nu=Cx/Fx; /* Mu = Mx/||(#1,#2)||, Nu = Nx/||(#1,#2)|| */
%  if(Ax>Bx){
%     #3=As*Mu; #4=Bs*Nu;
%  }
%  else {
%     #3=As*Nu; #4=Bs*Mu;
%  }
X
\def\Unit(#1,#2)(#3,#4){%
X	\AbsSign{#1}\vec!Ax\vec!As \AbsSign{#2}\vec!Bx\vec!Bs
X	\MinMax\vec!Ax\vec!Bx\vec!Nx\vec!Mx
X	\Div\vec!Nx\vec!Mx\vec!Cx \Mul\vec!Cx\vec!Cx\vec!Dx
X	\Add{1}\vec!Dx\vec!Ex \Sqroot\vec!Ex\vec!Fx
X	\Div{1}\vec!Fx\vec!Mu \Div{\vec!Cx}\vec!Fx\vec!Nu
X	\ifdim\vec!Ax\p@>\vec!Bx\p@
X		\Mul{\vec!As1}\vec!Mu{#3}%
X		\Mul{\vec!Bs1}\vec!Nu{#4}%
X	\else
X		\Mul{\vec!As1}\vec!Nu{#3}%
X		\Mul{\vec!Bs1}\vec!Mu{#4}%
X	\fi}
X
% ||(#1,#2)-(#3,#4)||=#5
X
\def\Distance(#1,#2)(#3,#4)#5{%
X        \Sub{#3}{#1}\vec!Dx \Sub{#4}{#2}\vec!Ex
X	\AbsSign\vec!Dx\vec!Ax\vec!As \AbsSign\vec!Ex\vec!Bx\vec!Bs
X	\MinMax\vec!Ax\vec!Bx\vec!Nx\vec!Mx
X	\Div\vec!Nx\vec!Mx\vec!Cx \Mul\vec!Cx\vec!Cx\vec!Dx
X	\Add{1}\vec!Dx\vec!Ex \Sqroot\vec!Ex\vec!Fx
X        \Mul\vec!Mx\vec!Fx{#5}}
X
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%           Arrow
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
X
X
%             (\arr!Lx,\arr!Ly)
%                /
% (#1,#2)-------->(#3,#4)
%               /
%             (\arr!Rx,\arr!Ry)
%
%  7^2 + 24^2 = 25^2;  \cos\theta = -24/25, \sin\theta = 7/25
%  (Ux,Uy) = norm((#3,#4)-(#1,#2));
%  (Sx,Sy) = ArrowHeadSize * (Ux,Uy);
%  (Hx,Hy)^T = R(\theta) (Sx,Sy)^T;
%  (Lx,Ly) = (#3,#4) + (Hx,Hy);
X
\def\ArrowHead(#1,#2)(#3,#4){\@killglue
X	\Sub{#3}{#1}\arr!Dx \Sub{#4}{#2}\arr!Dy
X	\Unit(\arr!Dx,\arr!Dy)(\arr!Ux,\arr!Uy)%
X	\Mul\arr!Ux\ArrowHeadSize\arr!Sx \Mul\arr!Uy\ArrowHeadSize\arr!Sy
X	\Mul\arr!Sx{-0.96}\arr!Tx \Mul\arr!Sy{-0.28}\arr!Vx
X	\Mul\arr!Sx{0.28}\arr!Ty \Mul\arr!Sy{-0.96}\arr!Vy
X	\Add\arr!Tx\arr!Vx\arr!Hx \Add\arr!Ty\arr!Vy\arr!Hy
X	\Add\arr!Hx{#3}\arr!Lx \Add\arr!Hy{#4}\arr!Ly
X	\Sub\arr!Tx\arr!Vx\arr!Hx \Sub\arr!Vy\arr!Ty\arr!Hy
X	\Add\arr!Hx{#3}\arr!Rx \Add\arr!Hy{#4}\arr!Ry
X	\headpen(\arr!Lx,\arr!Ly)(#3,#4)(\arr!Rx,\arr!Ry)\ignorespaces}
X
\let\headpen=\path
X
% \arrow#1(#2,#3)(#4,#5)
% \revarrow#1(#2,#3)(#4,#5)
X
\def\arrow#1(#2,#3)(#4,#5){\@killglue
X	#1(#2,#3)(#4,#5)\relax\ArrowHead(#2,#3)(#4,#5)\ignorespaces}
X
\def\revarrow#1(#2,#3)(#4,#5){\@killglue
X	#1(#4,#5)(#2,#3)\relax\ArrowHead(#4,#5)(#2,#3)\ignorespaces}
X
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%               Shading
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
X
X
% 45 deg Shading
%  \hatch(x1,y1)(x2,y2) where  x1<x2, y1<y2
%  z1 = y1 - x1; floor(z1/d) = q1..b1; 
%  z2 = y2 - x2; floor(z2/d) = q2..b2;
%  w  = x2 - x1          ; h  = y2 - y1          ;
% 
%  for(xs=x1+b1;xs<x2;xs+=d){
%   l = min(h,x2-xs);
%   drawline(xs,y1)(xs+l,y1+l)
%  }
%  for(ys=y1+d-b1;ys=<y2;ys+=d){
%   l = min(w,y2-ys);
%   drawline(x1,ys)(x1+l,ys+l)
%  }
X
\def\hatchpattern#1#2{\@killglue\edef\sh!d{#1}\def\sh!pen{#2}\ignorespaces}
X
\def\hatch{\@ifnextchar[{\sh!hatch}{\sh!hatch[]}}
X
\def\sh!hatch[#1](#2,#3)(#4,#5){\@killglue
X	\@tfor\sh!oparg:=#1\do{%
X		\if\sh!oparg L\drawline(#2,#3)(#2,#5)\fi
X		\if\sh!oparg R\drawline(#4,#3)(#4,#5)\fi
X		\if\sh!oparg T\drawline(#2,#5)(#4,#5)\fi
X		\if\sh!oparg B\drawline(#2,#3)(#4,#3)\fi}%
X	\sh!!hatch(#2,#3)(#4,#5)\ignorespaces}
X
\def\sh!!hatch(#1,#2)(#3,#4){%
X	\edef\sh!xi{#1}\edef\sh!yi{#2}\edef\sh!xii{#3}\edef\sh!yii{#4}%
X	\sh!setup\sh!dispx\sh!dispy}
X
\def\sh!setup{%
X	\Sub\sh!yi\sh!xi\sh!zi \Floor\sh!zi\sh!d\sh!qi\sh!bi
X	\Sub\sh!yii\sh!xii\sh!zii \Floor\sh!zii\sh!d\sh!qii\sh!bii
X	\Sub\sh!xii\sh!xi\sh!w \Sub\sh!yii\sh!yi\sh!h}
X
\def\sh!dispx{\Add\sh!xi\sh!bi\sh!xs
X	\@whiledim\sh!xs\p@<\sh!xii\p@\do{%
X		\Sub\sh!xii\sh!xs\sh!l
X		\ifdim\sh!l\p@>\sh!h\p@ \let\sh!l=\sh!h\fi
X		\Add\sh!xs\sh!l\sh!xsl \Add\sh!yi\sh!l\sh!yil
X		\sh!pen(\sh!xs,\sh!yi)(\sh!xsl,\sh!yil)\relax
X		\Add\sh!xs\sh!d\sh!xs}}%
X
\def\sh!dispy{\Add\sh!yi\sh!d\sh!yid \Sub\sh!yid\sh!bi\sh!ys
X	\@whiledim\sh!ys\p@<\sh!yii\p@\do{%
X		\Sub\sh!yii\sh!ys\sh!l
X		\ifdim\sh!l\p@>\sh!w\p@ \let\sh!l=\sh!w\fi
X		\Add\sh!ys\sh!l\sh!ysl \Add\sh!xi\sh!l\sh!xil
X		\sh!pen(\sh!xi,\sh!ys)(\sh!xil,\sh!ysl)\relax
X		\Add\sh!ys\sh!d\sh!ys}}%
X
% -45 deg shading \hatchr(x1,y1)(x2,y2)
% lines ! {x + y = n*d}
% w  = x2 - x1          ; h  = y2 - y1          ;
% ceil(x1+y1/d) = q1..b1; ceil(x2+y1/d) = q2..b2;
% for(xs=x1-b1;xs<x2;xs+=d){ % (x1+y1-b1)-y1
%  l = min(h,xs-x1);
%  drawline(xs,y1)(xs-l,y1+l);
% }
% for(ys=y1-b2;ys<y2;ys+=d)){ % (x2+y1-b2)-x2
%  l = min(w,y2-ys);
%  drawline(x2,ys)(x2-l,ys+l);
% }
X
\def\hatchrpattern#1#2{\@killglue\edef\sr!d{#1}\def\sr!pen{#2}\ignorespaces}
X
\def\hatchr{\@ifnextchar[{\sr!hatchr}{\sr!hatchr[]}}
X
\def\sr!hatchr[#1](#2,#3)(#4,#5){\@killglue
X	\@tfor\sh!oparg:=#1\do{%
X		\if\sh!oparg L\drawline(#2,#3)(#2,#5)\fi
X		\if\sh!oparg R\drawline(#4,#3)(#4,#5)\fi
X		\if\sh!oparg T\drawline(#2,#5)(#4,#5)\fi
X		\if\sh!oparg B\drawline(#2,#3)(#4,#3)\fi}%
X	\sr!!hatchr(#2,#3)(#4,#5)\ignorespaces}
X
\def\sr!!hatchr(#1,#2)(#3,#4){%
X	\def\sr!xi{#1}\def\sr!yi{#2}\def\sr!xii{#3}\def\sr!yii{#4}%
X	\Sub\sr!xii\sr!xi\sr!w \Sub\sr!yii\sr!yi\sr!h
X	\Add\sr!xi\sr!yi\sr!z 
X	\Add\sr!z\sr!d\sr!z \Ceil\sr!z\sr!d\sr!nop\sr!bi
X	\Add\sr!xii\sr!yi\sr!z \Ceil\sr!z\sr!d\sr!nop\sr!bii
X	\sr!dispx \sr!dispy}
X
\def\sr!dispx{\Sub\sr!xi\sr!bi\sr!xs
X	\@whiledim\sr!xs\p@<\sr!xii\p@\do{%
X		\Sub\sr!xs\sr!xi\sr!xsd \MinMax\sr!h\sr!xsd\sr!l\sr!nop
X		\Sub\sr!xs\sr!l\sr!xsl \Add\sr!yi\sr!l\sr!yil
X		\sr!pen(\sr!xs,\sr!yi)(\sr!xsl,\sr!yil)%
X		\Add\sr!xs\sr!d\sr!xs}}
X
\def\sr!dispy{\Sub\sr!yi\sr!bii\sr!ys
X	\@whiledim\sr!ys\p@<\sr!yii\p@\do{%
X		\Sub\sr!yii\sr!ys\sr!ysd \MinMax\sr!w\sr!ysd\sr!l\sr!nop
X		\Sub\sr!xii\sr!l\sr!xiil \Add\sr!ys\sr!l\sr!ysl
X		\sr!pen(\sr!xii,\sr!ys)(\sr!xiil,\sr!ysl)%
X		\Add\sr!ys\sr!d\sr!ys}}
X
\def\fillblack(#1,#2)(#3,#4){% #1<#3, #2<#4
X	\@killglue
X	\Sub{#3}{#1}\fl!w \Sub{#4}{#2}\fl!h
X	\put(#1,#2){\vrule\@depth\z@\@width
X		\fl!w\unitlength\@height\fl!h\unitlength}\ignorespaces}
X	
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%        Sin and Cos
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
X
% sin(x): Taylor Series: x - x^3/3! + x^5/5! - x^7/7! + ..
%
% Taylor series good for #1: tiny
%     sin(0.1) = 0.0998334166..
% 0.1-0.1^3/3! = 0.0998333333..
X
\def\SinTiny#1#2{% #2 = #1 - #1^3/3! 
X	\Mul{#1}{#1}\sn!a \Mul\sn!a{0.1666666667}\sn!b
X	\Sub{1}\sn!b\sn!c \Mul{#1}\sn!c{#2}}
X
X
% sin(3x) = 3 sin(x) - 4 sin^3(x)
% Factorized sin(x)*(3 - 4 sin^2(x)) etc are faster but not precise
% because of cancellation.
\def\SinThrice#1#2{% #2 = 3*#1 - 4*#1^3
X	\Mul{#1}{3}\sn!a \Mul{#1}{#1}\sn!b \Mul\sn!b{#1}\sn!c
X	\Mul{4}\sn!c\sn!d \Sub\sn!a\sn!d{#2}}
X
% sin(x) -> sin(x/3) -> sin(x/9)
% Good for 0<#1=<pi/4   
%   a = (pi/4)/9 = 0.08726646..
%   b = a-a^3/3! -> thrice(thrice(b)) = 0.70710651..
%                           sin(pi/4) = 0.70710678..
X
\def\SinSmall#1#2{%
X	\ifdim#1\p@<0.12\p@\SinTiny{#1}{#2}\else
X	\Mul{#1}{0.111111111111}\sn!d \SinTiny\sn!d\sn!e
X	\SinThrice\sn!e\sn!f \SinThrice\sn!f{#2}\fi}
X
X
% cos(x) = 2cos^2(x/2) - 1
% cos(x) -> cos(x/2) -> cos(x/4) -> cos(x/8)
X
\def\CosTwice#1#2{% #2 = 2*#1^2 - 1 = 1 - 4*(1-#1) + 2*(1-#1)^2
X	\Mul{#1}{#1}\cs!a \Mul\cs!a{2}\cs!b \Sub\cs!b{1}{#2}}
X
%\def\CosTwice#1#2{% #2 = 2*#1^2 - 1 = 1 - 4*(1-#1) + 2*(1-#1)^2
%	\Sub{1}{#1}\cs!a \Mul{4}\cs!a\cs!b \Sub{1}\cs!b\cs!c
%	\Mul\cs!a\cs!a\cs!d \Mul\cs!d{2}\cs!e \Add\cs!c\cs!e{#2}}
X
% Good for 0=<#1=<0.12
% 1 - (0.1)^2/2! + (0.1)^4/4! = 0.995004166..
%                    cos(0.1) = 0.995004165..
X
\def\CosTiny#1#2{%
X	\Mul{#1}{#1}\cs!g \Mul\cs!g\cs!g\cs!h 
X	\Mul\cs!g{0.5}\cs!i \Mul\cs!h{0.041666667}\cs!j
X	\Sub{1}\cs!i\cs!k \Add\cs!k\cs!j{#2}}
X
% Good for 0=<#1=<pi/4
%   a = (pi/4)/8 = 0.09817477..
%   b = 1 - a^2/2! + a^4/4! -> twice(twice(twice(b))) = 0.70710685..
%                                           cos(pi/4) = 0.70710678..
X
\def\CosSmall#1#2{%
X	\ifdim#1\p@<0.1\p@\CosTiny{#1}{#2}\else
X	\Mul{#1}{0.125}\cs!c \CosTiny\cs!c\cs!d
X	\CosTwice\cs!d\cs!e \CosTwice\cs!e\cs!f \CosTwice\cs!f{#2}\fi}
X
% \sn!pii = #1 mod (2pi);
% if(\sn!pii>pi) \sn!pi=2pi-\sn!pii; else \sn!pi=\sn!pii;
% if(\sn!pi>pi/2) \sn!pih=pi-\sn!pi; else \sn!pih=\sn!pi;
% if(\sn!pih>pi/4) {
% 	\sn!piq=pi/2-\sn!pi;
%	\sn!r=cossmall(\sn!piq);
% }
% else {
%	\sn!r=sinsmall(\sn!pih);
% }
% if(\sn!pii>pi) #2 = -\sn!r else #2 = \sn!r;
\def\Sin#1#2{%	
X	\Floor{#1}\Pii\sn!nop\sn!pii
X	\ifdim\sn!pii\p@>\Pie\p@ \Sub\Pii\sn!pii\sn!pi
X	\else \let\sn!pi=\sn!pii \fi
X	\ifdim\sn!pi\p@>\Pih\p@ \Sub\Pie\sn!pi\sn!pih
X	\else \let\sn!pih=\sn!pi \fi
X	\ifdim\sn!pih\p@>\Piq\p@
X		\Sub\Pih\sn!pi\sn!piq \CosSmall\sn!piq\sn!r
X	\else
X		\SinSmall\sn!pih\sn!r
X	\fi
X	\ifdim\sn!pii\p@>\Pie\p@\edef#2{-\sn!r}\else\let#2=\sn!r\fi}
X
\def\Cos#1#2{% cos(#1)=sin(#1+pi/2)
X	\Add\Pih{#1}\cs!z \Sin\cs!z{#2}}
X
% \Pi is a greek letter.
\def\Piq{0.78539816}
\def\Pih{1.57079633}
\def\Pie{3.14159265}
\def\Pii{6.28318531}
X
\def\DegRad#1#2{% #1 deg = #2 rad
X	\Div{#1}{45}\dr!x \Mul\dr!x\Piq{#2}}
X
\def\RadDeg#1#2{% #1 rad = #2 deg
X	\Mul{#1}{57.2957795}{#2}}
X
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%          for(#1=#2;#1<#3;#1+=#4){#5}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
X
\def\For#1#2#3#4\Do#5{\@killglue\edef#1{#2}\def\fr!tmp{#4}%
X	\ifx\@empty\fr!tmp\@latexerr{!! Missing Argument!
X		For\string#1\string#2\string#3?Do}\@ehd\fi
X	\ifdim#4\p@>\z@\def\fr!cnd{\@whiledim#1\p@<#3\p@\do}%
X	\else\def\fr!cnd{\@whiledim#1\p@>#3\p@\do}\fi
X	\fr!cnd{#5\Add{#1}{#4}{#1}}\ignorespaces}
X
% (#1,#2): location
% #3: node name
% #4: 
\def\node(#1,#2)#3#4{\@killglue\@namedef{N?#3}{(#1,#2)}%
X	\put(#1,#2){#4}\ignorespaces}
X
\def\throughbrush#1{\@killglue\def\edge@brush{#1}\ignorespaces}
X
\def\through#1{\@killglue \let\edge@ends=\empty
X	\@tfor\curr@node:=#1\do{%
X	  \@ifundefined{N?\curr@node}%
X		{\typeout{Unknown node \@nameuse{N?\curr@node}}\stop}{}%
X	  \edef\edge@ends{\edge@ends\@nameuse{N?\curr@node}}}%
X	\let\edge@@brush=\relax 
X	\edef\edge@ends{\edge@@brush\edge@ends}%
X	\let\edge@@brush=\edge@brush
X	\edge@ends\ignorespaces}
X
\throughbrush{\drawline}
X
X
\def\obbase(#1,#2)(#3,#4){\@killglue
X  \def\@Exx{#1}\def\@Exy{#2}\def\@Eyx{#3}\def\@Eyy{#4}\ignorespaces}
\def\obcalc(#1,#2)(#3,#4){\@killglue
X  \Mul{#1}\@Exx\@ExxAx \Mul{#2}\@Eyx\@EyxAy 
X  \Add\@ExxAx\@EyxAy{#3}%
X  \Mul{#1}\@Exy\@ExyAx \Mul{#2}\@Eyy\@EyyAy 
X  \Add\@ExyAx\@EyyAy{#4}\ignorespaces}
\def\obput(#1,#2)#3{\obcalc(#1,#2)(\@Ax,\@Ay)\put(\@Ax,\@Ay){#3}}
\def\oblique#1(#2,#3)(#4,#5){\def\ob@func{#1}%
X  \obcalc(#2,#3)(\@Ax,\@Ay)
X  \obcalc(#4,#5)(\@Bx,\@By)
X  \edef\ob@list{(\@Ax,\@Ay)(\@Bx,\@By)}%
X  \@ifnextchar({\ob@add}{\expandafter\ob@func\ob@list}}
X
\def\ob@add(#1,#2){%
X  \obcalc(#1,#2)(\@Ax,\@Ay)\edef\ob@list{\ob@list(\@Ax,\@Ay)}%
X  \@ifnextchar({\ob@add}{\expandafter\ob@func\ob@list}}
X
X
\catcode`\!=\orig@colon
X
SHAR_EOF
chmod 0644 eclarith.sty ||
echo 'restore of eclarith.sty failed'
Wc_c="`wc -c < 'eclarith.sty'`"
test 15055 -eq "$Wc_c" ||
	echo 'eclarith.sty: original size 15055, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= eclarith.tex ==============
if test -f 'eclarith.tex' -a X"$1" != X"-c"; then
	echo 'x - skipping eclarith.tex (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting eclarith.tex (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'eclarith.tex' &&
\documentstyle[epic,eepic,eclarith]{j-article}
%\documentstyle[epic,ecleepic,eclarith]{j-article}
X
\title{Arithmetic in \LaTeX}
\author{Hideki Isozaki}
X
\begin{document}
X
\maketitle
X
\section{Add, Sub, Mul, Div}
X
\begin{verbatim}
\Add{3.2}{1.6}\Ans \typeout{3.2+1.6=\Ans}
\Sub{3.2}{1.6}\Ans \typeout{3.2-1.6=\Ans}
\Mul{3.2}{1.6}\Ans \typeout{3.2*1.6=\Ans}
\Div{3.2}{1.6}\Ans \typeout{3.2/1.6=\Ans}
\end{verbatim}
X
\Add{3.2}{1.6}\Ans \typeout{3.2+1.6=\Ans}
\Sub{3.2}{1.6}\Ans \typeout{3.2-1.6=\Ans}
\Mul{3.2}{1.6}\Ans \typeout{3.2*1.6=\Ans}
\Div{3.2}{1.6}\Ans \typeout{3.2/1.6=\Ans}
X
\section{Floor, Ceil}
X
\begin{verbatim}
\Floor{10.5}{2.5}\P\Q \typeout{10.5=2.5*(\P)+(\Q)}
\Floor{-10.5}{2.5}\P\Q \typeout{-10.5=2.5*(\P)+(\Q)}
\Ceil{10.5}{2.5}\P\Q \typeout{10.5=2.5*(\P)+(\Q)}
\Ceil{-10.5}{2.5}\P\Q \typeout{-10.5=2.5*(\P)+(\Q)}
\end{verbatim}
X
\Floor{10.5}{2.5}\P\Q \typeout{10.5=2.5*(\P)+(\Q)}
\Floor{-10.5}{2.5}\P\Q \typeout{-10.5=2.5*(\P)+(\Q)}
\Ceil{10.5}{2.5}\P\Q \typeout{10.5=2.5*(\P)+(\Q)}
\Ceil{-10.5}{2.5}\P\Q \typeout{-10.5=2.5*(\P)+(\Q)}
X
\section{Sqroot, Unit, Distance}
X
\begin{verbatim}
\Sqroot{2.0}\SqrtII \typeout{sqroot(2.0)=\SqrtII}
\Sqroot{10.0}\SqrtX \typeout{sqroot(10.0)=\SqrtX}
\Unit(3.0,-4.0)(\X,\Y) \typeout{(3.0,-4.0)/||(3.0,-4.0)||=(\X,\Y)}
\Distance(0,-1.0)(2.0,0)\D \typeout{||(0,-1.0)-(2.0,0)||=\D}
\end{verbatim}
X
\Sqroot{2.0}\SqrtII \typeout{sqroot(2.0)=\SqrtII}
\Sqroot{10.0}\SqrtX \typeout{sqroot(10.0)=\SqrtX}
\Unit(3.0,-4.0)(\X,\Y) \typeout{(3.0,-4.0)/||(3.0,-4.0)||=(\X,\Y)}
\Distance(0,-1.0)(2.0,0)\D \typeout{||(0,-1.0)-(2.0,0)||=\D}
X
\section{arrow, revarrow}
X
\begin{verbatim}
\def\ArrowHeadSize{0.06}\unitlength=5cm
\begin{picture}(1,1)(0,0)
\arrow\drawline(0,0)(0,1)
\revarrow\dottedline{0.02}(0,0)(1,0)
\end{picture}
\end{verbatim}
X
\begin{center}
\def\ArrowHeadSize{0.06}\unitlength=5cm
\begin{picture}(1,1)(0,0)
\arrow\drawline(0,0)(0,1)
\revarrow\dottedline{0.02}(0,0)(1,0)
\end{picture}
\end{center}
X
\section{hatch, hatchr}
X
\begin{verbatim}
\unitlength=4cm
\begin{picture}(1,1)(0,0)
\hatchpattern{0.04}{\path}
\hatch[LB](0.5,0)(1,0.5)
\hatchrpattern{0.04}{\dottedline{0.04}}
\hatchr[RT](0,0.5)(0.5,1)
\end{picture}
\end{verbatim}
X
\begin{center}
\unitlength=4cm
\begin{picture}(1,1)(0,0)
\hatchpattern{0.04}{\path}
\hatch[LB](0.5,0)(1,0.5)
\hatchrpattern{0.04}{\dottedline{0.04}}
\hatchr[RT](0,0.5)(0.5,1)
\end{picture}
\end{center}
X
\section{Sin, Cos, DegRad, RadDeg}
X
\begin{verbatim}
\DegRad{30}\inradian \typeout{30deg=>\inradian rad}
\RadDeg\inradian\indegree \typeout{\inradian rad=>\indegree deg}
\Sin\inradian\Ans \typeout{Sin(30deg)=\Ans}
\Sin\inradian\Ans \typeout{Cos(30deg)=\Ans}
\end{verbatim}
X
\DegRad{30}\inradian \typeout{30deg=>\inradian rad}
\RadDeg\inradian\indegree \typeout{\inradian rad=>\indegree deg}
\Sin\inradian\Ans \typeout{Sin(30deg)=\Ans}
\Cos\inradian\Ans \typeout{Cos(30deg)=\Ans}
X
X
\section{obbase, obput, oblique}
X
\begin{verbatim}
\unitlength=4cm
\begin{picture}(2,2)(-1,-1)
\obbase(1,0.2)(0.2,1)
\obput(0,0){ $(0,0)$}
\obput(1,0){ $(1,0)$}
\oblique\path(0,0)(1,0)(1,1)(-1,1)(-1,-1)(0,-1)(0,0)
\end{picture}
\end{verbatim}
X
\begin{center}
\unitlength=2cm
\begin{picture}(2,2)(-1,-1)
\obbase(1,0.2)(0.2,1)
\obput(0,0){ $(0,0)$}
\obput(1,0){ $(1,0)$}
\oblique\path(0,0)(1,0)(1,1)(-1,1)(-1,-1)(0,-1)(0,0)
\end{picture}
\end{center}
X
X
\end{document}
SHAR_EOF
chmod 0644 eclarith.tex ||
echo 'restore of eclarith.tex failed'
Wc_c="`wc -c < 'eclarith.tex'`"
test 3333 -eq "$Wc_c" ||
	echo 'eclarith.tex: original size 3333, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= eclcolor.sty ==============
if test -f 'eclcolor.sty' -a X"$1" != X"-c"; then
	echo 'x - skipping eclcolor.sty (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting eclcolor.sty (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'eclcolor.sty' &&
% eclcolor.sty by Hideki Isozaki (isozaki@ntt-20.ntt.jp)
%                 Kazuhiro Kazama (kazama@expert-sun.ntt.jp)
%                 Yaski Saito (yaski@ntt-20.ntt.jp)
% February 25, 1992
\typeout{color macro package for dvi2ps-j. 
version 1.5 - Released July 1, 1992}
X
\def\prgb#1{\aftergroup\set@color\edef\curr@color{RGB=#1}\set@color}
\def\pcmyk#1{\aftergroup\set@color\edef\curr@color{CMYK=#1}\set@color}
\def\phsb#1{\aftergroup\set@color\edef\curr@color{HSB=#1}\set@color}
X
\def\rgb{\protect\prgb}
\def\cmyk{\protect\pcmyk}
\def\hsb{\protect\phsb}
X
% color definitions
% CMYK (cyan-magenta-yellow-black)
\def\cyan{\cmyk{1 0 0 0}}
\def\lightcyan{\cmyk{0.5 0 0 0}}
\def\pastelcyan{\cmyk{0.25 0 0 0}}
\def\magenta{\cmyk{0 1 0 0}}
\def\yellow{\cmyk{0 0 1 0}}
\def\lightyellow{\cmyk{0 0 0.5 0}}
\def\pastelyellow{\cmyk{0 0 0.25 0}}
\def\black{\cmyk{0 0 0 1}}
\def\darkgray{\cmyk{0 0 0 0.75}}
\def\gray{\cmyk{0 0 0 0.5}}
\def\lightgray{\cmyk{0 0 0 0.25}}
\def\white{\cmyk{0 0 0 0}}
\def\red{\cmyk{0 1 1 0}}
\def\orange{\cmyk{0 0.5 1 0}}
\def\scarlet{\cmyk{0 1 0.5 0}}
\def\brown{\cmyk{0.5 0.75 1 0}}
\def\camel{\cmyk{0.25 0.375 0.5 0}}
\def\cream{\cmyk{0 0.2 0.3 0}}
\def\green{\cmyk{1 0 1 0}}
\def\lightgreen{\cmyk{0.5 0 0.5 0}}
\def\pastelgreen{\cmyk{0.25 0 0.25 0}}
\def\mossgreen{\cmyk{0.64 0.4 1 0}}
\def\yellowgreen{\cmyk{0.5 0 1 0}}
\def\skyblue{\cmyk{0.4 0.16 0 0}}
\def\nttblue{\cmyk{0.91 0.44 0 0}}
\def\navyblue{\cmyk{0.9 0.75 0.5 0}}
\def\blue{\cmyk{1 1 0 0}}
\def\lightblue{\cmyk{0.5 0.5 0 0}}
\def\lavender{\cmyk{0.25 0.25 0 0}}
\def\violet{\cmyk{0.75 1 0.25 0}}
\def\purple{\cmyk{0.5 1 0.5 0}}
\def\pink{\cmyk{0 0.5 0 0}}
\def\pastelpink{\cmyk{0 0.25 0 0}}
X
% \colorbox{fgcolor}{bgcolor} <- \makebox
X
\newdimen\colorboxsep
\colorboxsep=2pt
X
\def\colorbox#1#2{\def\fg@color{#1}\def\bg@color{#2}%
\@ifnextchar({\@colorpicbox}{\@ifnextchar[{\@colorbox}{\fl@box}}}
X
\def\@colorbox[#1]{\leavevmode
X	\@ifnextchar [{\@icolorbox[#1]}{\@icolorbox[#1][x]}}
X
\long\def\@icolorbox[#1][#2]#3{%
X   \setbox\@tempboxa\hbox{#3}\edef\bg@dpa{\the\dp\@tempboxa}%
X   \setbox\@tempboxa\hbox{\vbox
X   {\vskip\colorboxsep\hbox to#1{\hskip\colorboxsep\let\mb@l\hss \let\mb@r\hss 
X   \expandafter\let\csname mb@#2\endcsname\relax
X   \mb@l\@nameuse{\fg@color}#3\mb@r\hskip\colorboxsep}\vskip\colorboxsep}}%
X   \@tempdima=\colorboxsep \advance\@tempdima \bg@dpa
X   \edef\bg@dp{\the\@tempdima}%
X   \edef\bg@wd{\the\wd\@tempboxa}%
X   \edef\bg@ht{\the\ht\@tempboxa}%
X   \hbox{\smash{\rlap{\@nameuse{\bg@color}\rule
X   [-\bg@dp]{\bg@wd}{\bg@ht}}}\lower\bg@dp\box\@tempboxa}}
X
\def\@colorpicbox(#1,#2){\leavevmode\@ifnextchar 
X   [{\@icolorpicbox(#1,#2)}{\@icolorpicbox(#1,#2)[]}}
X
\long\def\@icolorpicbox(#1,#2)[#3]#4{%
X   \let\mb@l\hss \let\mb@r\hss \let\mb@t\vss \let\mb@b\vss 
X   \@tfor\mb@mk:=#3\do{\expandafter\let\csname mb@\mb@mk\endcsname\relax}%
X   \setbox\@tempboxa\hbox{\vbox to #2\unitlength
X	{\mb@t\hbox to #1\unitlength
X		{\mb@l\@nameuse{\fg@color}#4\mb@r}\mb@b}}%
X   \edef\bg@dp{\the\dp\@tempboxa}%
X   \hbox{\smash{\rlap{\@nameuse{\bg@color}\rule
X   {#1\unitlength}{#2\unitlength}}}\raise \bg@dp\hbox{\box\@tempboxa}}}
X
\long\def\fl@box#1{\leavevmode
X   \setbox\@tempboxa\hbox{#1}\edef\bg@dpa{\the\dp\@tempboxa}%
X   \setbox\@tempboxa
X   \hbox{\vbox{\vskip\colorboxsep\hbox{\hskip\colorboxsep
X	\@nameuse{\fg@color}#1\hskip\colorboxsep}\vskip\colorboxsep}}%
X   \@tempdima=\colorboxsep \advance\@tempdima \bg@dpa
X   \edef\bg@dp{\the\@tempdima}\edef\bg@wd{\the\wd\@tempboxa}%
X   \edef\bg@ht{\the\ht\@tempboxa}%
X   \hbox{\smash{\rlap{\@nameuse{\bg@color}\rule
X   [-\bg@dp]{\bg@wd}{\bg@ht}}}\lower\bg@dp\hbox{\box\@tempboxa}}}
X
X
\def\@outputpage{\begingroup\catcode`\ =10 
X     \let\-\@dischyph \let\'\@acci \let\`\@accii \let\=\@acciii
X    \if@specialpage 
X     \global\@specialpagefalse\@nameuse{ps@\@specialstyle}\fi
X     \if@twoside 
X       \ifodd\count\z@ 
X		\let\@thehead\@oddhead \let\@thefoot\@oddfoot
X            		\let\@themargin\oddsidemargin
X          \else 
X		\let\@thehead\@evenhead \let\@thefoot\@evenfoot 
X			\let\@themargin\evensidemargin
X     \fi\fi
X     \shipout
X     \vbox{\normalsize \baselineskip\z@ \lineskip\z@ 
X           \let\par\@@par %% 15 Sep 87
X           \vskip \topmargin \moveright\@themargin
X           \vbox{\setbox\@tempboxa
X                   \vbox to\headheight{\vfil \hbox to\textwidth
X                                       {\let\label\@gobble \let\index\@gobble
X                                         \@thehead}} %% 22 Feb 87
X                 \dp\@tempboxa\z@
X                 \box\@tempboxa
X                 \vskip \headsep
X		 \edef\curr@color{\prev@color}\special{\curr@color}%
X		 \xdef\prev@color{\expandafter\@colormark\botmark}%
X                 \box\@outputbox
X                 \baselineskip\footskip
X                 \hbox to\textwidth{\let\label\@gobble 
X                           \let\index\@gobble  %% 22 Feb 87
X                           \@thefoot}}}\global\@colht\textheight
X           \endgroup\stepcounter{page}\let\firstmark\botmark}
X
\def\markboth#1#2{%
X     {\let\protect\noexpand
X      \let\label\relax \let\index\relax 
X      \expandafter\@markboth\@themark{#1}{#2}%
X      \mk@wcl}%
X     \if@nobreak\ifvmode\nobreak\fi\fi}
X
\def\markright#1{%
X     {\let\protect\noexpand
X      \let\label\relax \let\index\relax 
X      \expandafter\@markright\@themark{#1}%
X      \mk@wcl}%
X     \if@nobreak\ifvmode\nobreak\fi\fi}
X
\def\set@color{%
X     {\let\protect\noexpand
X      \let\label\relax \let\index\relax 
X      \expandafter\@markcolor\@themark{\curr@color}%
X      \mk@wcl}%
X     \special{\curr@color}}
X
\def\mk@wcl{\let\mk@wcl=\relax \mark{\@themark}}
X
\def\@markboth#1#2#3#4#5{\gdef\@themark{{#4}{#5}{#3}}}
\def\@markright#1#2#3#4{\gdef\@themark{{#1}{#4}{#3}}}
\def\@markcolor#1#2#3#4{\gdef\@themark{{#1}{#2}{#4}}}
\def\@leftmark#1#2#3{#1}
\def\@rightmark#1#2#3{#2}
\def\@colormark#1#2#3{#3}
X
\newdimen\color@ratio
{\catcode`\p=12\catcode`\t=12\gdef\remove@dim#1pt{#1}}
% (1-#1)*(#2,#3,#4) + #1*(#5,#6,#7)
%   = (#2,#3,#4) + #1*(#5-#2,#6-#3,#7-#4)
\def\cmymix#1(#2 #3 #4)(#5 #6 #7){%
X	\color@ratio=#5pt \advance\color@ratio by -#2pt
X	\color@ratio=#1\color@ratio
X	\advance\color@ratio by #2pt
X	\edef\color@mix{\expandafter\remove@dim\the\color@ratio}%
X	\color@ratio=#6pt \advance\color@ratio by -#3pt
X	\color@ratio=#1\color@ratio
X	\advance\color@ratio by #3pt
X	\edef\color@mix{\color@mix\space
X		\expandafter\remove@dim\the\color@ratio}%
X	\color@ratio=#7pt \advance\color@ratio by -#4pt
X	\color@ratio=#1\color@ratio
X	\advance\color@ratio by #4pt
X	\edef\color@mix{\color@mix\space
X		\expandafter\remove@dim\the\color@ratio\space0}%
X	\cmyk{\color@mix}}
X
%
X
\def\prev@color{CMYK=0 0 0 1}
\def\curr@color{CMYK=0 0 0 1}
\def\@themark{{}{}{\curr@color}}
\mark{\@themark}
X
\def\leftmark{\expandafter\@leftmark\botmark{}}
\def\rightmark{\expandafter\@rightmark\firstmark{}}
SHAR_EOF
chmod 0644 eclcolor.sty ||
echo 'restore of eclcolor.sty failed'
Wc_c="`wc -c < 'eclcolor.sty'`"
test 6817 -eq "$Wc_c" ||
	echo 'eclcolor.sty: original size 6817, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= eclcolor.tex ==============
if test -f 'eclcolor.tex' -a X"$1" != X"-c"; then
	echo 'x - skipping eclcolor.tex (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting eclcolor.tex (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'eclcolor.tex' &&
\documentstyle[eclcolor]{j-article}
X
\title{Yet Another Method for Color \LaTeX}
X
\author{Hideki Isozaki}
X
\begin{document}
X
\maketitle
X
Black {\blue Blue {\red Red} Blue} Black
X
\colorboxsep=2pt
\bf
\unitlength=1cm
X
\colorbox{white}{black}{ABC}
X
\colorbox{white}{black}[4cm]{ABC}
X
\colorbox{white}{black}[4cm][r]{ABC}
X
\colorbox{white}{black}[4cm][l]{ABC}
X
\colorbox{white}{black}(4,0.7){ABC}
X
X
X
\end{document}
SHAR_EOF
chmod 0644 eclcolor.tex ||
echo 'restore of eclcolor.tex failed'
Wc_c="`wc -c < 'eclcolor.tex'`"
test 412 -eq "$Wc_c" ||
	echo 'eclcolor.tex: original size 412, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= ecldig.sty ==============
if test -f 'ecldig.sty' -a X"$1" != X"-c"; then
	echo 'x - skipping ecldig.sty (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting ecldig.sty (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'ecldig.sty' &&
% ecldig.sty for Directed Graphs by Hideki Isozaki
%
% \documentstyle[epic,eepic,eclarith,ecldig]{article}
%
\typeout{ecldig.sty ver. 1.0 for Directed Graphs}
X
\def\digradius#1{\@killglue\def\dig@rad{#1}\ignorespaces}
X
\def\dignode(#1,#2)#3#4{\@killglue
X	\Mul\dig@rad{2}\dig@diam
X	\node(#1,#2){#3}{#4}%
X	\put(#1,#2){\circle{\dig@diam}}\ignorespaces}
X
\def\digedge{\@ifnextchar[{\dig@spedge}{\dig@stedge}}
X
\def\dig@stedge#1#2{\@killglue
X	\edef\dig@circi{\@nameuse{ND!#1}}%
X	\edef\dig@circii{\@nameuse{ND!#2}}%
X	\vecsub\dig@circii\dig@circi\dig@circdif
X	\unitvec\dig@circdif\dig@unitdif
X	\scaledvec\dig@rad\dig@unitdif\dig@arcdif
X	\vecadd\dig@circi\dig@arcdif\dig@edgei
X	\vecsub\dig@circii\dig@arcdif\dig@edgeii
X	\edef\dig@arg{\dig@edgei\dig@edgeii}%
X	\expandafter\dig@pen\dig@arg
X	\ignorespaces}
X
\def\dig@spedge[#1]#2#3{\@killglue
X	\edef\dig@circi{\@nameuse{ND!#2}}%
X	\edef\dig@circii{\@nameuse{ND!#3}}%
X	\vecsub\dig@circii\dig@circi\dig@circdif
X        \scaledvec{0.5}\dig@circdif\dig@half
X        \vecadd\dig@half\dig@circi\dig@mid
X        \vecorth\dig@half\dig@orth
X        \unitvec\dig@orth\dig@dist
X        \scaledvec{#1}\dig@dist\dig@dist
X        \vecadd\dig@mid\dig@dist\dig@dist
X	\unitvec\dig@circdif\dig@unitdif
X	\scaledvec\dig@rad\dig@unitdif\dig@arcdif
X	\vecadd\dig@circi\dig@arcdif\dig@edgei
X	\vecsub\dig@circii\dig@arcdif\dig@edgeii
X	\edef\dig@arg{\dig@edgei\dig@dist\dig@edgeii}%
X	{\let\arrow=\@iden\let\revarrow=\@iden
X        \expandafter\dig@pen\dig@arg}%
X	\edef\dig@arg{\dig@dist\dig@edgeii}%
X	\def\dig@temp{\arrow\@noline}%
X        \expandafter\dig@temp\dig@arg
X	\ignorespaces}
X
\def\vecorth#1#2{%
X	\let\dig@x=\relax \let\dig@y=\relax
X	\edef\dig@arg{#1(\dig@x,\dig@y)}%
X	\expandafter\@vecorth\dig@arg
X	\edef#2{(\dig@x,\dig@y)}}
X
\def\@vecorth(#1,#2)(#3,#4){\edef#3{#2}\edef#4{-#1}}
X
\def\vecsub#1#2#3{%
X	\let\dig@x=\relax \let\dig@y=\relax
X	\edef\dig@arg{#1#2(\dig@x,\dig@y)}%
X	\expandafter\@vecsub\dig@arg
X	\edef#3{(\dig@x,\dig@y)}}
X
\def\@vecsub(#1,#2)(#3,#4)(#5,#6){%
X	\Sub{#1}{#3}{#5}\Sub{#2}{#4}{#6}}
X
\def\vecadd#1#2#3{%
X	\let\dig@x=\relax \let\dig@y=\relax
X	\edef\dig@arg{#1#2(\dig@x,\dig@y)}%
X	\expandafter\@vecadd\dig@arg
X	\edef#3{(\dig@x,\dig@y)}}
\def\@vecadd(#1,#2)(#3,#4)(#5,#6){%
X	\Add{#1}{#3}{#5}\Add{#2}{#4}{#6}}
X
\def\unitvec#1#2{%
X	\let\dig@x=\relax \let\dig@y=\relax
X	\edef\dig@arg{#1(\dig@x,\dig@y)}%
X	\expandafter\Unit\dig@arg
X	\edef#2{(\dig@x,\dig@y)}}
X
\def\scaledvec#1#2#3{%
X	\let\dig@x=\relax \let\dig@y=\relax
X	\edef\dig@arg{{#1}#2(\dig@x,\dig@y)}%
X	\expandafter\@scaledvec\dig@arg
X	\edef#3{(\dig@x,\dig@y)}}
\def\@scaledvec#1(#2,#3)(#4,#5){%
X	\Mul{#1}{#2}{#4}\Mul{#1}{#3}{#5}}
X
\def\digpen#1{\@killglue\def\dig@pen{#1}\ignorespaces}
X
\def\node(#1,#2)#3#4{\@killglue\@namedef{ND!#3}{(#1,#2)}%
X	\put(#1,#2){#4}\ignorespaces}
X
\def\@nodeput#1#2{\@killglue
X  \edef\dig@vecarg{\@nameuse{ND!#1}}%
X  \vecadd\dig@vecarg\dig@sh\dig@vecarg
X  \expandafter\put\dig@vecarg{#2}\ignorespaces}
X
\def\nodeput{\@ifnextchar[{\@nodeshift}{\@nodeshiftc}}
X
\def\@nodeshift[#1]{%
X  \DegRad{#1}\dig@radian
X  \Cos\dig@radian\dig@x \Sin\dig@radian\dig@y
X  \edef\dig@sh{(\dig@x,\dig@y)}%
X  \scaledvec\dig@rad\dig@sh\dig@sh
X  \@nodeput}
X
\def\@nodeshiftc{\edef\dig@sh{(\dig@x,\dig@y)}\@nodeput}
X
\digpen{\arrow\path}
X
\def\digloop{%
X   \scaledvec{2}\dig@sh\dig@sh
X   \edef\dig@argvec{(0,0)\dig@sh}\expandafter\dig@loop\dig@argvec}
X
\edef\orig@colon{\the\catcode`\!}
X
\catcode`\!=11
X
\def\dig@loop(#1,#2)(#3,#4){\@killglue
X  \Sub{#3}{#1}\arr!Dx \Sub{#4}{#2}\arr!Dy
X  \Mul\arr!Dx{0.4}\arr!Sx \Mul\arr!Dy{0.4}\arr!Sy
X  \Mul\arr!Sx{-0.6}\arr!Tx \Mul\arr!Sy{-0.8}\arr!Vx
X  \Mul\arr!Sx{0.8}\arr!Ty \Mul\arr!Sy{-0.6}\arr!Vy
X  \Add\arr!Tx\arr!Vx\arr!Hx \Add\arr!Ty\arr!Vy\arr!Hy
X  \Add\arr!Hx{#3}\arr!Lx \Add\arr!Hy{#4}\arr!Ly
X  \Sub\arr!Tx\arr!Vx\arr!Hx \Sub\arr!Vy\arr!Ty\arr!Hy
X  \Add\arr!Hx{#3}\arr!Rx \Add\arr!Hy{#4}\arr!Ry
X  {\let\arrow=\@iden \let\revarrow=\@iden
X  \spline(#1,#2)(\arr!Lx,\arr!Ly)(#3,#4)(\arr!Rx,\arr!Ry)(#1,#2)}
X  \arrow\@noline(\arr!Rx,\arr!Ry)(#1,#2)\ignorespaces}
X
\def\@noline(#1,#2)(#3,#4){}
X
\catcode`\!=\orig@colon
X
X
SHAR_EOF
chmod 0644 ecldig.sty ||
echo 'restore of ecldig.sty failed'
Wc_c="`wc -c < 'ecldig.sty'`"
test 4060 -eq "$Wc_c" ||
	echo 'ecldig.sty: original size 4060, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= ecldig.tex ==============
if test -f 'ecldig.tex' -a X"$1" != X"-c"; then
	echo 'x - skipping ecldig.tex (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting ecldig.tex (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'ecldig.tex' &&
\documentstyle[epic,eepic,eclarith,ecldig]{j-article}
X
\title{How to Draw DiGraphs in \LaTeX}
X
\author{Hideki Isozaki}
X
\begin{document}
X
\maketitle
X
\newcommand{\C}[1]{\makebox(0,0){#1}}
\begin{center}
\def\ArrowHeadSize{0.3}
\unitlength=0.8cm
\begin{picture}(10,10)(0,0)
\digradius{0.8}
\dignode(1,1){A}{\C{Ant}}
\dignode(9,1){B}{\C{Bee}}
\dignode(9,9){C}{\C{Cat}}
\dignode(1,9){D}{\C{Dog}}
\dignode(5,5){E}{\C{Egg}}
\dignode(1,5){F}{\C{Fly}}
\digedge{A}{B}
\digedge{B}{C}
\digpen{\arrow{\dottedline{0.1}}}
\digedge{C}{D}
\digpen{\arrow{\dashline{0.1}}}
\digedge{D}{E}
\digedge{E}{A}
\digpen{\arrow{\drawline}}
\digedge{E}{F}
\nodeput[0]{E}{\digloop}
\nodeput[90]{E}{\digloop}
\nodeput[225]{A}{\digloop}
\digedge{F}{A}
\digedge[0.7]{B}{F}
\digedge[0.7]{F}{B}
\end{picture}
\end{center}
X
X
\end{document}
SHAR_EOF
chmod 0644 ecldig.tex ||
echo 'restore of ecldig.tex failed'
Wc_c="`wc -c < 'ecldig.tex'`"
test 805 -eq "$Wc_c" ||
	echo 'ecldig.tex: original size 805, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= ecleepic.sty ==============
if test -f 'ecleepic.sty' -a X"$1" != X"-c"; then
	echo 'x - skipping ecleepic.sty (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting ecleepic.sty (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'ecleepic.sty' &&
% ecleepic.sty by Hideki Isozaki
% simulates some functions of eepic.sty without \special
X
\typeout{ecleepic.sty 1.0 --- May 11, 1992}
X
\let\path\drawline
X
\newif\iffast \fasttrue
X
\def\ellipse{\@ifstar{\@elfull}{\@elvoid}}
X
\newcount\ep@A \newcount\ep@B \newcount\ep@C
\newcount\ep@a \newcount\ep@b
\newcount\ep@S \newcount\ep@T
\newcount\ep@x \newcount\ep@y
\newcount\ep@t
X
\def\@elvoid#1#2{\leavevmode\hbox{%
X  \let\ep@datai\empty \let\ep@dataii\empty 
X  \let\ep@dataiii\empty \let\ep@dataiv\empty 
X  \iffast
X    \ep@useonedeg
X    \def\ep@@adddata##1##2{%
X      \leavevmode
X      \raise##2 sp\hbox to \z@{\kern##1 sp\picsquare\hss}%
X      \raise-##2 sp\hbox to \z@{\kern##1 sp\picsquare\hss}%
X      \raise-##2 sp\hbox to \z@{\kern-##1sp\picsquare\hss}%
X      \raise##2 sp\hbox to \z@{\kern-##1 sp\picsquare\hss}}%
X  \else
X    \ep@usethrdeg
X    \def\ep@@adddata##1##2{%
X      \edef\ep@datai{\ep@datai(\the##1,\the##2)}%
X      \edef\ep@dataii{\ep@dataii(-\the##1,\the##2)}%
X      \edef\ep@dataiii{\ep@dataiii(-\the##1,-\the##2)}%
X      \edef\ep@dataiv{\ep@dataiv(\the##1,-\the##2)}}%
X  \fi
X  \@elshape{#1}{#2}%
X  \iffast\else
X    \unitlength=1sp
X    \expandafter\drawline\ep@datai\relax
X    \expandafter\drawline\ep@dataii\relax
X    \expandafter\drawline\ep@dataiii\relax
X    \expandafter\drawline\ep@dataiv\relax
X  \fi}}
X
\def\@elfull#1#2{\leavevmode\hbox{%
X  \ep@usethrdeg
X  \def\ep@@adddata##1##2{%
X    \makebox(0,0){%
X      \@tempdima=##2sp \ep@t=\@tempdima
X      \@tempdima=##1sp \ep@T=\@tempdima \advance\ep@T\ep@T
X      \leavevmode\vrule \@depth \ep@t sp \@height \ep@t sp
X         \@width \ep@T sp}}%
X  \@elshape{#1}{#2}}}
X
%  original code of \@elshape:
%  David Salomon: DDA Methods in \TeX, TUGboat Vol.10, No.2, pp.207--216, 1989.
X
\def\@elshape#1#2{%
X  \ep@A=\@M \ep@B=\z@
X  \ifdim#1\p@>#2\p@
X    \@tempdima=#1\unitlength \divide\@tempdima 20000 \ep@a\@tempdima
X    \@tempdima=#2\unitlength \divide\@tempdima 20000 \ep@b\@tempdima
X    \def\ep@adddata##1##2{\ep@@adddata{##1}{##2}}%
X  \else
X    \@tempdima=#2\unitlength \divide\@tempdima 20000 \ep@a\@tempdima
X    \@tempdima=#1\unitlength \divide\@tempdima 20000 \ep@b\@tempdima
X    \def\ep@adddata##1##2{\ep@@adddata{##2}{##1}}%
X  \fi
% step=3deg sin(3deg)=0.05233.. cos(3deg)=0.99862..
X  \ep@S=523 \ep@C=9986 
X  \ep@x=\ep@a \multiply\ep@x\@M \ep@y=\z@
X  \loop
X    \ep@adddata{\ep@x}{\ep@y}%
X    \ep@T=\ep@B \multiply\ep@T\ep@S
X    \ep@t=\ep@A \multiply\ep@t\ep@C \advance\ep@t-\ep@T
X    \ep@T=\ep@A \multiply\ep@T\ep@S
X    \multiply\ep@B\ep@C \advance\ep@B\ep@T
X    \divide\ep@B\@M
X    \ep@A=\ep@t \divide\ep@A\@M
X    \ep@x=\ep@a \multiply\ep@x\ep@A
X    \ep@y=\ep@b \multiply\ep@y\ep@B
X  \ifnum\ep@x>\z@ \repeat}
X
X
X
% Short \vectors and \lines
X
\let\long@vector\vector
X
\def\line(#1,#2)#3{{\emu@line(#1,#2){#3}}}
X
\def\emu@line(#1,#2)#3{%
X  \ifnum#1=\z@
X    \ifnum#2<\z@  
X      \drawline(0,0)(0,-#3)\def\emu@to{(0,-#3)}%
X    \else
X      \drawline(0,0)(0,#3)\def\emu@to{(0,#3)}
X    \fi
X  \else
X     \Div{#3}{#1}\line@unit
X     \Mul{#2}\line@unit\line@y
X     \ifnum#1<\z@
X       \drawline(0,0)(-#3,-\line@y)\def\emu@to{(-#3,-\line@y)}%
X     \else
X       \drawline(0,0)(#3,\line@y)\def\emu@to{(#3,\line@y)}%
X     \fi
X  \fi}
X  
\def\vector(#1,#2)#3{{\emu@line(#1,#2){#3}%
X   \expandafter\put\emu@to{\long@vector(#1,#2){0}}}}
X
X
% \arcdeg for degree was added.
\def\arcdeg#1#2#3{%
X  \let\ep@datai\empty \let\ep@dataii\empty 
X  \let\ep@dataiii\empty \let\ep@dataiv\empty 
X  \iffast
X      \ep@useonedeg
X      \def\ep@arcdata##1##2{%
X        \leavevmode
X        \raise-##2 sp\hbox to \z@{\kern##1 sp\picsquare\hss}}%
X  \else
X    \ifdim#1\unitlength>\ep@mediumarc
X      \ep@useonedeg
X      \def\ep@arcdata##1##2{%
X        \edef\ep@datai{\ep@datai(\the##1,-\the##2)}}%
SHAR_EOF
true || echo 'restore of ecleepic.sty failed'
fi
echo 'End of  part 1'
echo 'File ecleepic.sty is continued in part 2'
echo 2 > _shar_seq_.tmp
exit 0

From: isozaki@ntt-20.ntt.jp (Hideki ISOZAKI)
Newsgroups: fj.sources
Subject: Miscellaneous style files for LaTeX (2/3)
Date: 9 Jul 92 05:01:49 GMT
Distribution: fj
Organization: NTT Basic Research Laboratories


#!/bin/sh
# this is eclsty.02 (part 2 of a multipart archive)
# do not concatenate these parts, unpack them in order with /bin/sh
# file ecleepic.sty continued
#
if test ! -r _shar_seq_.tmp; then
	echo 'Please unpack part 1 first!'
	exit 1
fi
(read Scheck
 if test "$Scheck" != 2; then
	echo Please unpack part "$Scheck" next!
	exit 1
 else
	exit 0
 fi
) < _shar_seq_.tmp || exit 1
if test ! -f _shar_wnt_.tmp; then
	echo 'x - still skipping ecleepic.sty'
else
echo 'x - continuing file ecleepic.sty'
sed 's/^X//' << 'SHAR_EOF' >> 'ecleepic.sty' &&
X    \else
X    \ifdim#1\unitlength>\ep@smallarc
X      \ep@usetwodeg
X      \def\ep@arcdata##1##2{%
X        \edef\ep@datai{\ep@datai(\the##1,-\the##2)}}%
X    \else
X    \ep@usethrdeg
X    \ifdim#1\unitlength>\ep@tinyarc
X      \def\ep@arcdata##1##2{%
X        \edef\ep@datai{\ep@datai(\the##1,-\the##2)}}%
X    \else
X      \def\ep@arcdata##1##2{%
X        \leavevmode
X        \raise-##2 sp\hbox to \z@{\kern##1 sp\picsquare\hss}}%
X    \fi\fi\fi
X  \fi
X  \@arshape{#1}{#2}{#3}%
X  \iffast\else
X    \ifdim#1\unitlength>\ep@tinyarc
X      \unitlength=1sp
X      \expandafter\drawline\ep@datai\relax
X    \fi
X  \fi}
X
\def\ep@tinyarc{3cm}
\def\ep@smallarc{6cm}
\def\ep@mediumarc{9cm}
X
% step=1deg sin(1deg)=0.01745.. cos(1deg)=0.99984..
% step=2deg sin(2deg)=0.03489.. cos(2deg)=0.99939..
% step=3deg sin(3deg)=0.05233.. cos(3deg)=0.99862..
\def\ep@usethrdeg{\ep@S=523 \ep@C=9986 \def\ep@unitang{3}}
\def\ep@usetwodeg{\ep@S=349 \ep@C=9994 \def\ep@unitang{2}}
\def\ep@useonedeg{\ep@S=175 \ep@C=9999 \def\ep@unitang{1}}
%                                 **** gives better results than 9998
X
\def\@arshape#1#2#3{%
X  \ep@A=\@M \ep@B=\z@
X  \@tempdima=#1\unitlength \divide\@tempdima 20000 \ep@a\@tempdima
X  \ep@x=\ep@a \multiply\ep@x\@M \ep@y=\z@
X  \ep@b=\z@
X  \loop
X    \ifnum\ep@b<#2\else
X      \ep@arcdata{\ep@x}{\ep@y}%
X    \fi
X    \ep@T=\ep@B \multiply\ep@T\ep@S
X    \ep@t=\ep@A \multiply\ep@t\ep@C \advance\ep@t-\ep@T
X    \ep@T=\ep@A \multiply\ep@T\ep@S
X    \multiply\ep@B\ep@C \advance\ep@B\ep@T
X    \divide\ep@B\@M
X    \ep@A=\ep@t \divide\ep@A\@M
X    \ep@x=\ep@a \multiply\ep@x\ep@A
X    \ep@y=\ep@a \multiply\ep@y\ep@B
X    \advance\ep@b\ep@unitang
X  \ifnum\ep@b<#3 \repeat}
X
% \arc for radian
\def\arc#1#2#3{% pi*65536/180=1143.8189..
X  \@tempdima=#2\p@ \divide\@tempdima 1144 \edef\ep@start{\number\@tempdima}%
X  \@tempdima=#3\p@ \divide\@tempdima 1144 \edef\ep@end{\number\@tempdima}%
X  \arcdeg{#1}{\ep@start}{\ep@end}}
X
X  
% The following code was copied from
% eepicemu Version 1.0 < August 14, 1988 > written by Conrad Kwok
X
\def\circle{%
X    \@ifstar
X	{\@emudot}%
X	{\@emucirc}%
}
\def\@emudot#1{%
X    \@tempdimb #1\unitlength
X    \ifdim \@tempdimb > 15pt
X        \@elfull{#1}{#1}%
X    \else
X        \@dot{#1}%
X    \fi
}
\def\@emucirc#1{%
X     \@tempdimb #1\unitlength
X     \ifdim \@tempdimb > 40pt
X	\@elvoid{#1}{#1}%
X     \else
X	\@circle{#1}%
X     \fi
}
X
\let\Thicklines\thicklines
X
\def\spline(#1,#2)(#3,#4){%
X    \@ifnextchar ({\@iispline(#1,#2)(#3,#4)}%
X	          {\@drawline[0](#1,#2)(#3,#4)\ignorespaces}}
X
\def\@iispline(#1,#2)(#3,#4)(#5,#6){%
X    \@ifnextchar ({\Add{#3}{#5}\ep@@X \Mul{0.5}\ep@@X\ep@@X 
X        \Add{#4}{#6}\ep@@Y \Mul{0.5}\ep@@Y\ep@@Y
X        \edef\ep@datai{{#1}{#2}{#3}{#4}{\ep@@X}{\ep@@Y}}%
X        \expandafter\@chaikin\ep@datai\relax
X        \edef\ep@datai{(\ep@@X,\ep@@Y)(#5,#6)}%
X        \expandafter\@iispline\ep@datai}%
%   else
X       {\@chaikin{#1}{#2}{#3}{#4}{#5}{#6}}}
X
\def\@chaikin#1#2#3#4#5#6{%
X    \Add{#1}{#3}\ep@@x \Add\ep@@x{#3}\ep@@x \Add\ep@@x{#5}\ep@@x
X    \Mul{0.25}\ep@@x\ep@@x
X    \Add{#2}{#4}\ep@@y \Add\ep@@y{#4}\ep@@y \Add\ep@@y{#6}\ep@@y
X    \Mul{0.25}\ep@@y\ep@@y
X    \@drawline[0](#1,#2)(\ep@@x,\ep@@y)\relax
X    \@drawline[0](\ep@@x,\ep@@y)(#5,#6)\relax}
X
\def\allinethickness#1{\thicklines\linethickness{#1}}
X
\let\blacken=\relax
\let\whiten=\relax
\let\shade=\relax
\let\filltype=\@gobble
X
X
X  
SHAR_EOF
echo 'File ecleepic.sty is complete' &&
chmod 0644 ecleepic.sty ||
echo 'restore of ecleepic.sty failed'
Wc_c="`wc -c < 'ecleepic.sty'`"
test 7067 -eq "$Wc_c" ||
	echo 'ecleepic.sty: original size 7067, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= ecleepic.tex ==============
if test -f 'ecleepic.tex' -a X"$1" != X"-c"; then
	echo 'x - skipping ecleepic.tex (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting ecleepic.tex (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'ecleepic.tex' &&
\documentstyle[epic,ecleepic]{j-article}
X
\title{ecleepic.sty}
X
\author{Hideki Isozaki\\NTT Basic Research Labs}
X
\begin{document}
X
%\fastfalse
X
\unitlength=1cm
\begin{picture}(10,10)(0,0)
\put(0,0){\framebox(10,10){}}
\put(2,5){\ellipse*{4}{2}}
\put(8,5){\ellipse{4}{2}}
\put(5,2){\ellipse*{2}{4}}
\put(5,8){\ellipse{2}{4}}
\put(5,5){\circle*{2}}
\put(5,5){\circle{4}}
%% radian 
\put(5,5){\arc{8}{.5236}{1.0472}}
%% You can specify angle in degree
\put(5,5){\arcdeg{6}{30}{60}}
\end{picture}
X
X
\end{document}
SHAR_EOF
chmod 0644 ecleepic.tex ||
echo 'restore of ecleepic.tex failed'
Wc_c="`wc -c < 'ecleepic.tex'`"
test 511 -eq "$Wc_c" ||
	echo 'ecleepic.tex: original size 511, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= eclepsf.sty ==============
if test -f 'eclepsf.sty' -a X"$1" != X"-c"; then
	echo 'x - skipping eclepsf.sty (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting eclepsf.sty (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'eclepsf.sty' &&
% EPSF macros by Kazuhiro Kazama and modified by Hideki ISOZAKI
%   based on Trevor J. Darrell's psfig.tex
%
% All software, documentation, and related files in this distribution of
% psfig/tex are Copyright (c) 1987 Trevor J. Darrell
%
% Permission is granted for use and non-profit distribution of psfig/tex 
% providing that this notice be clearly maintained, but the right to
% distribute any portion of psfig/tex for profit or as part of any commercial
% product is specifically reserved for the author.
\endlinechar=-1
X
\typeout{EPSF macro package for LaTeX. version 1.5 - Released May 11, 1992}
\newcount\@arga
\newcount\@argb
\newcount\@argc
\newcount\@ctmpa
\newcount\@ctmpb
\newcount\@ctmpc
\newcount\@ctmpd
\newcount\@ctmpe
\newdimen\@darg
\newdimen\@bblen
\newif\ifepsfdraft
\epsfdraftfalse
X
\def\@setpsfile#1{
X		\def\@psfile{#1}
X                \bb@search
}
\def\@setpsheight#1{
X		\@darg=#1\relax
X   		\edef\@psheight{\number\@darg}
}
\def\@setpswidth#1{
X		\@darg=#1\relax
X   		\edef\@pswidth{\number\@darg}
}
\def\@setpsscale#1{
X		\def\@pshscale{#1}
X		\def\@psvscale{#1}
}
\def\@setpshscale#1{
X		\def\@pshscale{#1}
}
X
\def\@setpsvscale#1{
X		\def\@psvscale{#1}
}
X
X
X
%
% Go through the options setting things up.
%
\def\parse@ps@parms#1{
X        \def\@bbw{0}\def\@bbh{0}
X	\def\@pshscale{1}\def\@psvscale{1}
X        \def\@psheight{0}\def\@pswidth{0}% in sp
X        \@for\@epsfopt:=#1\do
X           {\expandafter\@setparms\@epsfopt,}}
X
\def\@setparms#1=#2,{\@nameuse{@setps#1}{#2}}
X
%
% Compute %%BoundingBox height and width
%
\newif\ifcontinue
X
\catcode`\%=12\relax
X
\newread\ps@stream
\def\bb@search{\continuetrue
X        \typeout{analyzing \@psfile}
X	\openin\ps@stream=\@psfile
X	\catcode`\%=12\relax
X	\ifeof\ps@stream\errmessage{epsf: \@psfile\space not found}\fi
X	\loop
X		\read\ps@stream to \epsf@line
X                \expandafter\epsf@getbb\epsf@line%%BoundingBox:\end@getbb
X		\ifnum\@bbw=\z@\else \continuefalse\fi
X                \ifeof\ps@stream \continuefalse \fi
X	\ifcontinue \repeat
X        \closein\ps@stream
X	\catcode`\%=14
}	
X
\def\epsf@getbb #1%%BoundingBox:#2\end@getbb{
X   \def\epsf@tmp{#1}\def\epsf@atend{ (atend)}
X   \ifx\epsf@tmp\empty
X     \edef\epsf@tmp{#2}
X     \ifx\epsf@tmp\epsf@atend
X       \errmessage{%%BoundingBox: (atend)}
X     \else
X       \epsf@bbarg #2 0 0 0 0 0 %%BoundingBox\end@getbb
X     \fi
X   \fi}
X
\def\epsf@bbarg #1 #2 #3 #4 #5%%BoundingBox#6\end@getbb{
X  \def\epsf@tmp{#1}
X  \ifx\epsf@tmp\empty
X    \@darg=#4bp \advance\@darg-#2bp \edef\@bbw{\number\@darg}
X    \@darg=#5bp \advance\@darg-#3bp \edef\@bbh{\number\@darg}
X  \else
X    \@darg=#3bp \advance\@darg-#1bp \edef\@bbw{\number\@darg}
X    \@darg=#4bp \advance\@darg-#2bp \edef\@bbh{\number\@darg}
X  \fi
X  {\@arga=\@bbw \divide\@arga by 186468\relax
X   \@argb=\@bbh \divide\@argb by 186468\relax
X   \message{original: \the\@arga mm x \the\@argb mm}}
}
X
\catcode`\%=14\relax
X
X
% \in@hundreds performs #1 * (#2 / #3) correct to the hundreds,
%	then leaves the result in @result
%
X
\def\in@hundreds#1#2#3{\@argb=#2 \@argc=#3
X		     \@ctmpa=\@argb	% @ctmpa is first digit #2/#3
X		     \divide\@ctmpa by \@argc
X		     \@ctmpb=\@ctmpa
X		     \multiply\@ctmpb by \@argc
X		     \advance\@argb by -\@ctmpb
X		     \multiply\@argb by 10
X		     \@ctmpb=\@argb	% @ctmpb is second digit of #2/#3
X		     \divide\@ctmpb by \@argc
X		     \@ctmpc=\@ctmpb
X		     \multiply\@ctmpc by \@argc
X		     \advance\@argb by -\@ctmpc
X		     \multiply\@argb by 10
X		     \@ctmpc=\@argb	% @ctmpc is the third digit
X		     \divide\@ctmpc by \@argc
X		     \@arga=#1\@ctmpe=0
X		     \@ctmpd=\@arga
X			\multiply\@ctmpd by \@ctmpa
X		 	\advance\@ctmpe by \@ctmpd
X		     \@ctmpd=\@arga
X			\divide\@ctmpd by 10
X			\multiply\@ctmpd by \@ctmpb
X			\advance\@ctmpe by \@ctmpd
X			%
X		     \@ctmpd=\@arga
X			\divide\@ctmpd by 100
X			\multiply\@ctmpd by \@ctmpc
X			\advance\@ctmpe by \@ctmpd
X			%
X		     \edef\@result{\number\@ctmpe}
}
X
\def\compute@wfromh{
X                \ifnum\@psheight>\z@
X		  \in@hundreds{\@psheight}{\@bbw}{\@bbh}
X                  \edef\@pswidth{\@result}
X                \else
X		  \in@hundreds{-\@psheight}{\@bbw}{\@bbh}
X                  \edef\@pswidth{\number-\@result}
X                \fi
}
\def\compute@hfromw{
X		% computing : height = width * (bbh / bbw)
X                \ifnum\@pswidth>\z@
X		  \in@hundreds{\@pswidth}{\@bbh}{\@bbw}
X                  \edef\@psheight{\@result}
X                \else
X                  \in@hundreds{-\@pswidth}{\@bbh}{\@bbw}
X                  \edef\@psheight{\number-\@result}
X                \fi
}
\def\compute@handw{
X	\ifnum\@psheight=\z@ 
X		\ifnum\@pswidth=\z@ 
X                        \@darg=\@bbh sp \@darg=\@psvscale\@darg
X		        \edef\@psheight{\number\@darg}
X                        \@darg=\@bbw sp \@darg=\@pshscale\@darg
X                        \edef\@pswidth{\number\@darg}
X                \else
X			\compute@hfromw
X		\fi
X	\else 
X		\ifnum\@pswidth=\z@ 
X			\compute@wfromh
X		\fi
X	\fi
}
{\catcode`\p=12\catcode`\t=12
\gdef\remove@dim@frac#1.#2pt{#1}}
X
%
% \epsfile
% usage : \epsfile{file=, height=, width=}
% usage : \epsfile{file=, scale=}
% usage : \epsfile{file=, vscale=, hscale=}
%
\def\epsfile{\@ifnextchar[{\@epsfile}{\@epsfile[]}}
\def\@epsfile[#1]#2{{
X  \parse@ps@parms{#2}
X  \compute@handw
X  {\@arga=\@pswidth \divide\@arga by 186468\relax
X    \@argb=\@psheight \divide\@argb by 186468\relax
X    \message{becomes \the\@arga mm x \the\@argb mm}}
X  \@arga=\@psheight  \divide\@arga by 65782\relax
X  \edef\@psvsize{\number\@arga}
X  \@arga=\@pswidth   \divide\@arga by 65782\relax
X  \edef\@pshsize{\number\@arga}
X  \leavevmode
X  \ifnum\@pswidth>\z@ 
X    \hbox to \@pswidth sp\bgroup
X  \else
X    \hbox to -\@pswidth sp\bgroup
X    \hfill
X  \fi
X    \ifnum\@psheight>\z@
X      \vrule\@width\z@\@height\@psheight sp \@depth\z@
X      \raise\@psheight sp 
X    \else
X      \vrule\@width\z@\@height-\@psheight sp \@depth\z@
X    \fi
X    \hbox to\z@\bgroup
X    \ifnum\@psheight=\z@
X       \ifnum\@pswidth=\z@
X         \edef\epsf@tmpa{\@pshscale,\@psvscale}
X         \edef\epsf@tmp{1,1}
X         \ifx\epsf@tmpa\epsf@tmp
X           \special{epsfile=\@psfile \space}
X         \else
X           \special{epsfile=\@psfile \space
X              vscale=\@psvscale \space hscale=\@pshscale \space}
X         \fi
X       \else
X         \special{epsfile=\@psfile \space hsize=\@pshsize \space}
X       \fi
X    \else
X       \ifnum\@pswidth=\z@
X         \special{epsfile=\@psfile \space vsize=\@psvsize \space}
X       \else
X         \special{epsfile=\@psfile \space 
X           hsize=\@pshsize \space vsize=\@psvsize \space}
X       \fi
X    \fi
X    \egroup
X    \ifnum\@psheight>\z@
X      \vrule\@width\z@\@height\@psheight sp \@depth\z@
X    \else
X      \vrule\@width\z@\@height-\@psheight sp \@depth\z@
X      \raise-\@psheight sp 
X    \fi
X    \hbox to\z@{#1}\hfil
X  \egroup
}}
X
% You can put anything on the original picture.
% \epsfat puts it on the correct position
%             even if you change the picture size.
X
\def\epsfat(#1,#2)#3{\@killglue{
X    \@darg=#1 \edef\epsf@atx{\number\@darg}
X    \ifnum\@pswidth>\z@
X      \in@hundreds{\epsf@atx}{\@pswidth}{\@bbw}
X      \edef\epsf@atx{\@result}
X    \else
X      \in@hundreds{\epsf@atx}{-\@pswidth}{\@bbw}
X      \edef\epsf@atx{\number-\@result}
X    \fi
X    \@darg=#2 \edef\epsf@aty{\number\@darg}
X    \ifnum\@psheight>\z@
X      \in@hundreds{\epsf@aty}{\@psheight}{\@bbh}
X      \edef\epsf@aty{\@result}
X    \else
X      \in@hundreds{\epsf@aty}{-\@psheight}{\@bbh}
X      \edef\epsf@aty{\number-\@result}
X    \fi
X    \smash{\raise\epsf@aty sp
X    \hbox to \z@{\kern\epsf@atx sp\relax#3\hss}}}\ignorespaces}
X
\endlinechar=13\relax
\endinput
SHAR_EOF
chmod 0644 eclepsf.sty ||
echo 'restore of eclepsf.sty failed'
Wc_c="`wc -c < 'eclepsf.sty'`"
test 7600 -eq "$Wc_c" ||
	echo 'eclepsf.sty: original size 7600, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= eclepsf.tex ==============
if test -f 'eclepsf.tex' -a X"$1" != X"-c"; then
	echo 'x - skipping eclepsf.tex (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting eclepsf.tex (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'eclepsf.tex' &&
\documentstyle[eclepsf]{j-article}
X
\begin{document}
X
\newcommand{\R}{\makebox(0,0){\Large$+$}}
\newcommand{\U}{\makebox(0,0){\Large$\ast$}}
\newcommand{\RU}{\makebox(0,0){\Large$\star$}}
X
X
1\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps}}
X
2\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,width=3cm}}
\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,width=-3cm}}
X
3\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,width=2.5cm,height=2cm}}
\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,width=-2.5cm,height=2cm}}
\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,width=2.5cm,height=-2cm}}
\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,width=-2.5cm,height=-2cm}}
X
4\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,scale=0.6}}
\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,scale=-0.6}}
X
5\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,hscale=0.3,vscale=0.4}}
\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,hscale=-0.3,vscale=0.4}}
\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,hscale=0.3,vscale=-0.4}}
\frame{\epsfile[
\epsfat(5.5cm,1cm){\R}
\epsfat(1cm,8cm){\U}
\epsfat(7.5cm,8cm){\RU}
]{file=hiraa.ps,hscale=-0.3,vscale=-0.4}}
X
X
X
X
\end{document}
SHAR_EOF
chmod 0644 eclepsf.tex ||
echo 'restore of eclepsf.tex failed'
Wc_c="`wc -c < 'eclepsf.tex'`"
test 1787 -eq "$Wc_c" ||
	echo 'eclepsf.tex: original size 1787, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= ecluntab.sty ==============
if test -f 'ecluntab.sty' -a X"$1" != X"-c"; then
	echo 'x - skipping ecluntab.sty (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting ecluntab.sty (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'ecluntab.sty' &&
%%
%%     Name   : ecluntab.sty
%%     Author : Hideki ISOZAKI
%%     Date   : July 1, 1992
%%     Version: 1.0
%%
X
\newcount\untablineno
\newdimen\utb@eight
\newdimen\utb@realwd
\newbox\utb@box
X
\begingroup \catcode `|=0 \catcode `[= 1 
\catcode`]=2 \catcode `\{=12 \catcode `\}=12 
\catcode`\\=12 
|gdef|utb@args#1\end{untabify}[#1|end[untabify]]
|gdef|utb@argsS#1\end{untabify*}[#1|end[untabify*]]
|endgroup
X
\def\utb@start{\setbox\utb@box=\hbox\bgroup}
\def\utb@tab{\leavevmode\egroup\utb@caltab\box\utb@box\utb@start}
\def\utb@par{\leavevmode\egroup\utb@caltab\box\utb@box\endgraf}
\def\utb@cntline{\everypar{\leavevmode\hbox to \untablinenowidth{\hss
\ifnum\untablineno>\z@\the\untablineno:\ %
\global\advance\untablineno\@ne\fi}\utb@start}}
X
\def\utb@caltab{\utb@realwd=\wd\utb@box
\advance\utb@realwd\utb@eight
\divide\utb@realwd\utb@eight
\multiply\utb@realwd\utb@eight
\wd\utb@box=\utb@realwd}
X
{\catcode`\^^I=\active\catcode`\^^M=\active
\gdef\utb@chars{\tt \let\par\utb@par %
X  \catcode`\^^M=\active\def^^M{\let^^M=\par}%
X  \catcode``=\active \@noligs\let\do\@makeother\dospecials %
X  \catcode`\^^I=\active\let^^I=\utb@tab}}
X
% The space after #1 is essential to ignore the first CR.
% So do not put % immediately after \begin{untabify}{1}.
X
\newbox\untab@box
X
\def\untabify{\settowidth{\utb@eight}{\tt AAAAAAAA}%
\setbox\untab@box=\vbox\bgroup
\advance\linewidth by -2\fboxsep
\advance\linewidth by -2\fboxrule
\parindent\z@
\hsize\linewidth
\everyuntabify\utb@chars
\utb@cntline
\frenchspacing
\@vobeyspaces\utb@args}
X
\@namedef{untabify*}{\settowidth{\utb@eight}{\tt AAAAAAAA}%
\setbox\untab@box=\vbox\bgroup
\advance\linewidth by -2\fboxsep
\advance\linewidth by -2\fboxrule
\parindent\z@
\hsize\linewidth
\everyuntabify\utb@chars
\utb@cntline
\utb@argsS}
X
\let\everyuntabify=\relax
X
\def\enduntabify{\egroup\trivlist\vskip.5\baselineskip\item[]%
\fbox{\box\untab@box}\vskip.5\baselineskip\endtrivlist}
X
\@namedef{enduntabify*}{\enduntabify}
X
\untablineno\@ne
X
\def\untablinenowidth{1cm}
X
SHAR_EOF
chmod 0644 ecluntab.sty ||
echo 'restore of ecluntab.sty failed'
Wc_c="`wc -c < 'ecluntab.sty'`"
test 2005 -eq "$Wc_c" ||
	echo 'ecluntab.sty: original size 2005, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= ecluntab.tex ==============
if test -f 'ecluntab.tex' -a X"$1" != X"-c"; then
	echo 'x - skipping ecluntab.tex (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting ecluntab.tex (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'ecluntab.tex' &&
\documentstyle[ecluntab]{article}
\begin{document}
X
\newcommand{\test}{test test test test test test
test test test test test test test test }
\newcommand{\everyuntabify}{\setlength{\parindent}{1cm}}
X
\untablineno=-1
\begin{untabify}
X	This    is 	a test?`.
X 	This	is   	a test?`.
X	This    is 	a test?`.
\end{untabify}
X
\test\test\test
X
\untablineno=101
\begin{untabify*}
X	This    is 	a test?`.
X 	This	is   	a test?`.
\end{untabify*}
X
\test\test\test
X
\begin{itemize}
\item \test\test\test
X
\begin{untabify}
X	This    is 	a test?`.
X 	This	is   	a test?`.
\end{untabify}
X
\item \test\test\test
\end{itemize}
X
\test\test\test
X
\begin{quotation}
\test\test\test
X
\untablineno=-1
\def\untablinenowidth{0mm}
\def\everyuntabify{\parindent=0mm}
X
\begin{untabify*}
X	This    is 	a test?`.
X 	This	is   	a test?`.
\end{untabify*}
X
\test\test\test
\end{quotation}
X
X
X
\end{document}
X
SHAR_EOF
chmod 0644 ecluntab.tex ||
echo 'restore of ecluntab.tex failed'
Wc_c="`wc -c < 'ecluntab.tex'`"
test 869 -eq "$Wc_c" ||
	echo 'ecluntab.tex: original size 869, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= eepic.sty ==============
if test -f 'eepic.sty' -a X"$1" != X"-c"; then
	echo 'x - skipping eepic.sty (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting eepic.sty (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'eepic.sty' &&
% eepic Version 1.1b < Febrary 7, 1988 >
%	Written by Conrad Kwok
%
% Internet : kwok@iris.ucdavis.edu
% csnet    : kwok@ucd.csnet
% csnet    : kwok%iris.ucdavis.edu@csnet.relay
% UUCP	   : ...!ucbvax!ucdavis!iris!kwok
%
% The macros are in public domain.
% You may distribute or modify it in any ways you like.
% Please report any bugs, enhancements, comments, suggestions, etc.
%
% This style file modify some of the commands in epic[1] and LaTeX[2] such
% that \special commands will be generated in drawing lines if approriate.
% The \special commands generated is the subset of the \specials used
% by tpic[3].
%
% [1] epic is written by Sunil Podar. Please read epic.sty for the
%     copyright notice.
% [2] LaTeX is written by Leslie Lamport. Please read the book LaTeX
% [3] tpic is modified from pic by Tim Morgan
%
%% This file contains extensions of the following epic commands:
%%	\dottedline	\dashline	\drawline
%%	\jput
%%
%% It also contains extensions of the following LaTeX commands:
%%	\circle		\line		\oval
%%
%% New commands include:
%%	\Thicklines	\arc		\ellipse
%%	\path		\spline		\allinethickness
%%
%% New commands for eepic 1.1
%%	\blacken	\whiten		\shade
%%	\texture	\filltype{type} type=black|white|shade
%%
%% For documentation, please see the accompanying manual
%%
%% Change Log;
%% o	(October 2, 88)
%% 	Fixed the problem of \line (\@sline). When both x and y are
%% 	large, it produced 'bad character code' error.
%%
%% o    (January 17, 89)
%%	Add commands \blacken, \whiten, \shade, \texture
%%
%% o	(January 17, 89)
%%	Add \filltype{xxxxx}
%%	xxxxx - black, white, shade
%%
\typeout{%
Extension to Epic and LaTeX. Version 1.1b - Released Febrary 7, 1988}
%
\newcount\@gphlinewidth
\newcount\@eepictcnt
\newdimen\@tempdimc
\@gphlinewidth\@wholewidth \divide\@gphlinewidth 4736
X
%% Redefine \thinlines, \thicklines
%% See also latex.tex
\def\thinlines{\let\@linefnt\tenln \let\@circlefnt\tencirc
X    \@wholewidth\fontdimen8\tenln \@halfwidth .5\@wholewidth
X    \@gphlinewidth\@wholewidth \divide\@gphlinewidth 4736\relax}
\def\thicklines{\let\@linefnt\tenlnw \let\@circlefnt\tencircw
X    \@wholewidth\fontdimen8\tenlnw \@halfwidth .5\@wholewidth
X    \@gphlinewidth\@wholewidth \divide\@gphlinewidth 4736
X    \advance\@gphlinewidth\@ne   % Make the output looks better
X    \relax}
%%
%% To indicate whether the dot character is defined in the dotted join
%%     environment or not (\@ifnodotdef)
\newif\if@nodotdef \global\@nodotdeftrue
%%
%% Redefine \dottedjoin
\def\dottedjoin{\global\@jointhemtrue \global\@joinkind=0\relax
X  \bgroup\@ifnextchar[{\global\@nodotdeffalse\@idottedjoin}%
X                      {\global\@nodotdeftrue\@idottedjoin[\@empty]}}
%%----------------------------------------------------------------------
%% Redefine \jput
\long\def\jput(#1,#2)#3{\@killglue\raise#2\unitlength\hbox to \z@{\hskip
#1\unitlength #3\hss}%
\if@jointhem \if@firstpoint \gdef\x@one{#1} \gdef\y@one{#2} \global\@firstpointfalse
X \else\ifcase\@joinkind
X    \if@nodotdef
X        \@spdottedline{\dotgap@join\unitlength}%
(\x@one\unitlength ,\y@one\unitlength)(#1\unitlength,#2\unitlength)
X    \else
X	\@dottedline[\dotchar@join]{\dotgap@join\unitlength}%
(\x@one\unitlength,\y@one\unitlength)(#1\unitlength,#2\unitlength)
X    \fi
X	\or\@dashline[\dashlinestretch]{\dashlen@join\unitlength}[\dotgap@join]%
(\x@one,\y@one)(#1,#2)
X	\else\@drawline[\drawlinestretch](\x@one,\y@one)(#1,#2)\fi
X    \gdef\x@one{#1}\gdef\y@one{#2}%
X \fi
\fi\ignorespaces}
%%
%% Redefine \dottedline to generate special whenever possible.
\def\dottedline{\@ifnextchar [{\@idottedline}{\@ispdottedline}}
%% Similar to \@idottedline but it generate \special
\def\@ispdottedline#1(#2,#3){\@ifnextchar (%
{\@iispdottedline{#1}(#2,#3)}{\relax}}
\def\@iispdottedline#1(#2,#3)(#4,#5){\@spdottedline{#1\unitlength}%
(#2\unitlength,#3\unitlength)(#4\unitlength,#5\unitlength)%
\@ispdottedline{#1}(#4,#5)}
%
\def\@spdottedline#1(#2,#3)(#4,#5){%
X    \@tempcnta \@gphlinewidth\relax
X    \advance\@tempcnta by 2     % solely for better output
X    \special{pn \the\@tempcnta}%
X    \@tempdimc=#2\relax
X    \@tempcnta \@tempdimc\relax \advance\@tempcnta 2368 \divide\@tempcnta 4736
X    \@tempdimc=#3\relax
X    \@tempcntb -\@tempdimc\relax\advance\@tempcntb -2368 \divide\@tempcntb 4736
X    \@paspecial{\the\@tempcnta}{\the\@tempcntb}%
X    \@tempdimc=#4\relax
X    \@tempcnta \@tempdimc\relax \advance\@tempcnta 2368 \divide\@tempcnta 4736
X    \@tempdimc=#5\relax
X    \@tempcntb -\@tempdimc\relax\advance\@tempcntb -2368 \divide\@tempcntb 4736
X    \@paspecial{\the\@tempcnta}{\the\@tempcntb}%
X    \@tempdimc=#1\relax
%%
%% Generate the pen width in terms of inch with 3 decimal digit.
X    \@tempcnta \@tempdimc\relax \advance\@tempcnta 2368 \divide\@tempcnta 4736
%% \@tempcnta contain the pen width in terms of thousandth of a inch
%% Then it is converted back to inch. I know the way I use is dumb but
%% I cannot think of any better method
X    \@tempcntb \@tempcnta\relax \divide\@tempcntb 1000
X    \multiply \@tempcntb 1000 \advance\@tempcnta -\@tempcntb
X    \divide\@tempcntb 1000
X    \ifnum\@tempcnta < 10
X        \special{dt \the\@tempcntb.00\the\@tempcnta}%
X    \else\ifnum\@tempcnta < 100
X        \special{dt \the\@tempcntb.0\the\@tempcnta}%
X    \else
X        \special{dt \the\@tempcntb.\the\@tempcnta}%
X    \fi\fi
X    \ignorespaces
}
%
\def\@iiidashline[#1]#2[#3](#4,#5)(#6,#7){%
\@dashline[#1]{#2\unitlength}[#3](#4,#5)(#6,#7)%
\@iidashline[#1]{#2}[#3](#6,#7)}
%
%% Redefine \@dashline
\long\def\@dashline[#1]#2[#3](#4,#5)(#6,#7){{%
\x@diff=#6\unitlength \advance\x@diff by -#4\unitlength
\y@diff=#7\unitlength \advance\y@diff by -#5\unitlength
%% correction to get actual width since the dash-length as taken in arguement
%% is the center-to-center of the end-points.
\@tempdima=#2\relax \advance\@tempdima -\@wholewidth
\sqrtandstuff{\x@diff}{\y@diff}{\@tempdima}%
\ifnum\num@segments <3 \num@segments=3\fi% min number of dashes I can plot
% is 2, 1 at either end, thus min num@segments is 3 (including 'empty dash').
\@tempdima=\x@diff \@tempdimb=\y@diff
\divide\@tempdimb by\num@segments
\divide\@tempdima by\num@segments
%% ugly if-then-else. If optional dotgap specified, then use it otherwise
%% make a solid dash.
{\ifx#3\@empty \relax
X    \ifdim\@tempdima < 0pt \x@diff=-\@tempdima\else\x@diff=\@tempdima\fi
X    \ifdim\@tempdimb < 0pt \y@diff=-\@tempdimb\else\y@diff=\@tempdimb\fi
X    \global\setbox\@dotbox\hbox{%
X                \@absspdrawline(0pt,0pt)(\@tempdima,\@tempdimb)}%
X    \else\global\setbox\@dotbox\hbox{%
X        \@spdottedline{#3\unitlength}(0pt,0pt)(\@tempdima,\@tempdimb)}%
X    \fi}%
\advance\x@diff by -\@tempdima % both have same sign
\advance\y@diff by -\@tempdimb
%
%%here we correct the number of dashes to be put by reducing them
%%appropriately. (num@segments*\@wholewidth) is in some way the slack we
%%have,and division by dash-length gives the reduction. reduction =
%%(2*num@segments*\@wholewidth)/dash-length
%% (num@segments includes empty ones)
\@tempdima=\num@segments\@wholewidth \@tempdima=2\@tempdima
\@tempcnta\@tempdima\relax \@tempdima=#2\relax \@tempdimb=0.5\@tempdima
\@tempcntb\@tempdimb\relax \advance\@tempcnta by \@tempcntb % round-off error
\divide\@tempcnta by\@tempdima \advance\num@segments by -\@tempcnta
%
\ifnum #1=0 \relax\else\ifnum #1 < -100
X  \typeout{***dashline: reduction > -100 percent implies blankness!***}%
\else\num@segmentsi=#1 \advance\num@segmentsi by 100
X     \multiply\num@segments by\num@segmentsi \divide\num@segments by 100
\fi\fi
%
\divide\num@segments by 2 % earlier num@segments included 'empty dashes' too.
\ifnum\num@segments >0 % if =0 then don't divide => \x@diff & \y@diff
X \divide\x@diff by\num@segments%   remain same.
X \divide\y@diff by\num@segments
X \advance\num@segments by\@ne %for the last segment for which I subtracted
X	 		     %\@tempdima & \@tempdimb from \x@diff & \y@diff
X \else\num@segments=2 % one at each end.
\fi
%%\typeout{num@segments finally = \the\num@segments}
%% equiv to \multiput(#4,#5)(\x@diff,\y@diff){\num@segments}{\copy\@dotbox}
%% with arguements in absolute dimensions.
\@xdim=#4\unitlength \@ydim=#5\unitlength
\@killglue
\loop \ifnum\num@segments > 0
\unskip\raise\@ydim\hbox to\z@{\hskip\@xdim \copy\@dotbox\hss}%
\advance\num@segments \m@ne\advance\@xdim\x@diff\advance\@ydim\y@diff%
\repeat}%
\ignorespaces}
%% redefine \@drawline
%
\def\@drawline[#1](#2,#3)(#4,#5){{%
\@drawitfalse\@horvlinefalse
\ifnum#1 <0 \relax\else\@horvlinetrue\fi
\if@horvline
X \@spdrawline(#2,#3)(#4,#5)
\else\@drawittrue\fi
%%-------------------------------
\if@drawit
\ifnum #1=0 \relax \else\ifnum #1 < -99
X  \typeout{***drawline: reduction <= -100 percent implies blankness!***}%
\else\num@segmentsi=#1 \advance\num@segmentsi by 50
X     \multiply\num@segmentsi 2
\fi\fi
\@dashline[\num@segmentsi]{10pt}[\@empty](#2,#3)(#4,#5)
\fi}\ignorespaces}% for \if@drawit
%
\def\@spdrawline(#1,#2)(#3,#4){%
X   \@absspdrawline(#1\unitlength,#2\unitlength)(#3\unitlength,#4\unitlength)
X   \ignorespaces
}
\def\@absspdrawline(#1,#2)(#3,#4){%
X    \special{pn \the\@gphlinewidth}%
X    \@tempdimc=#1\relax
X    \@tempcnta \@tempdimc\relax \advance\@tempcnta 2368 \divide\@tempcnta 4736
X    \@tempdimc=#2\relax
X    \@tempcntb -\@tempdimc\relax \advance\@tempcntb -2368 \divide\@tempcntb 4736
X    \@paspecial{\the\@tempcnta}{\the\@tempcntb}%
X    \@tempdimc=#3\relax
X    \@tempcnta\@tempdimc\relax \advance\@tempcnta 2368 \divide\@tempcnta 4736
X    \@tempdimc=#4\relax
X    \@tempcntb -\@tempdimc\relax \advance\@tempcntb -2368 \divide\@tempcntb 4736
X    \@paspecial{\the\@tempcnta}{\the\@tempcntb}%
X    \special{fp}%
X    \ignorespaces
}
%%----------------------------------------------------------------------
\def\@paspecial#1#2{%
X    \special{pa #1 #2}%
}
%%
%% Functions below modify the LaTeX commands and some additional commands
%% are not supported by LaTeX nor epic such as ThickLines and arc.
%%
%% The macros are for use with LaTeX picture environment
%% By including the macro file, you can draw
%%   1) \line in any slope
%%   2) \circle with any radius
%%   3) \ellipse with any x-axis and y-axis length
%%   4) Circular \arc by giving starting and ending angle (in radius)
%%
%% Furthermore you may draw lines in any thickness.
%%
%%
%% Redefine \thinlines, \thicklines and define \Thickline
%% See also latex.tex
\def\Thicklines{\let\@linefnt\tenlnw \let\@circlefnt\tencircw
X    \@wholewidth\fontdimen8\tenlnw \@wholewidth 1.5\@wholewidth
X    \@halfwidth .5\@wholewidth
X    \@gphlinewidth\@wholewidth \divide\@gphlinewidth 4736\relax}
%%
%% Generate the \special command for drawing arc
\def\@circlespecial#1#2#3#4{%
X	      \special{pn \the\@gphlinewidth}%
X	      \special{ar 0 0 #1 #2 #3 #4}
}
%%
%% Command for drawing an arc. Elliptical arc command can be generated
%% but all iptex program I saw so far does not support that.
\def\@arc#1#2#3#4{%
%% convert TeX dimension to length in terms thousandth of an inch
X	\@tempdima #1\unitlength
X	\@tempdimb #2\unitlength
X        \@tempcnta\@tempdima \advance\@tempcnta 4736 \divide\@tempcnta 9473
X	\@tempcntb\@tempdimb \advance\@tempcntb 4736 \divide\@tempcntb 9473
X	\setbox\@tempboxa\hbox{%
X	    \@circlespecial{\the\@tempcnta}{\the\@tempcntb}{#3}{#4}}%
X        \wd\@tempboxa\z@ \box\@tempboxa}
%%
%% Command for drawing Circle and Ellipse in terms of \@arc
%% replace original \circle
\def\circle{%
X    \@ifstar{\copy\@filltype\@circle}{\@circle}}
\def\@circle#1{\@arc{#1}{#1}{0}{6.2832}}
\def\ellipse{%
X    \@ifstar{\copy\@filltype\@ellipse}{\@ellipse}}
\def\@ellipse#1#2{{\@arc{#1}{#2}{0}{6.2832}}}
\def\arc#1#2#3{\@arc{#1}{#1}{#2}{#3}}
%%
%% Generate \special commands for drawing line
\def\@linespecial#1#2{%
X	      \special{pn \the\@gphlinewidth}%
X	      \special{pa 0 0}%
X	      \special{pa #1 #2}%
X	      \special{fp}%
}
%% Replace original \line. Only change is to call \@ssline instead
%% of \@sline. For description, see latex.tex
\def\line(#1,#2)#3{\@xarg #1\relax \@yarg #2\relax
\@linelen=#3\unitlength
\ifnum\@xarg =0 \@vline 
X  \else \ifnum\@yarg =0 \@hline \else \@ssline\fi
\fi}
%%
\def\@ssline{%
X	\ifnum\@xarg< 0
X	  \@negargtrue \@xarg -\@xarg \@tempdima -\@linelen
X	\else
X	  \@negargfalse \@tempdima\@linelen
X	\fi
%% truncation is used in arithmetic
X	\@tempcnta\@linelen \divide\@tempcnta 4736
X        \@yyarg -\@yarg \multiply\@yyarg \@tempcnta \divide\@yyarg\@xarg
X 	\if@negarg
X	    \@tempcnta -\@tempcnta
X	\fi
X	\setbox\@linechar\hbox{\@linespecial{\the\@tempcnta}{\the\@yyarg}}%
X	\wd\@linechar\@tempdima
X	\@clnht\@linelen
X        \multiply\@clnht\@yarg
X        \divide\@clnht\@xarg
X	\ifnum\@yarg< 0
X	  \@clnht -\@clnht
X	  \ht\@linechar\z@ \dp\@linechar\@clnht
X	\else
X	  \ht\@linechar\@clnht \dp\@linechar\z@
X	\fi
X	\box\@linechar
}
%%
%% Replace original \@sline
\def\@sline{%
X	\@ssline
%% Codes below (till end of the command) is only necessary
%% when used with \@svector
X	\if@negarg
X	  \@yyarg -\@yarg
X	\else
X	  \@yyarg \@yarg
X	\fi
X	\setbox\@linechar\hbox{\@linefnt\@getlinechar(\@xarg,\@yyarg)}%
X	\ifnum\@yarg> 0
X	  \let\@upordown\raise
X	  \advance\@clnht -\ht\@linechar
X	\else
X	  \let\@upordown\lower
X	\fi
X	\if@negarg \kern\wd\@linechar \fi
}
%%
\def\spline(#1,#2){%
X    \special{pn \the\@gphlinewidth}%
X    \@spline(#1,#2)%
}
\def\@spline(#1,#2){%
X    \@tempdima #1\unitlength
X    \@tempdimb #2\unitlength
X    \@tempcnta \@tempdima \advance\@tempcnta 2368 \divide\@tempcnta 4736
X    \@tempcntb -\@tempdimb \advance\@tempcntb -2368 \divide\@tempcntb 4736
X    \@paspecial{\the\@tempcnta}{\the\@tempcntb}%
X    \@ifnextchar ({\@spline}{\special{sp}}%
}
\def\path(#1,#2){%
X    \special{pn \the\@gphlinewidth}%
X    \@path(#1,#2)%
}
\def\@path(#1,#2){%
X    \@tempdima #1\unitlength
X    \@tempdimb #2\unitlength
X    \@tempcnta \@tempdima \advance\@tempcnta 2368 \divide\@tempcnta 4736
X    \@tempcntb -\@tempdimb \advance\@tempcntb -2368 \divide\@tempcntb 4736
X    \@paspecial{\the\@tempcnta}{\the\@tempcntb}%
X    \@ifnextchar ({\@path}{\special{fp}}%
}
X
%%%%%%%%%% Beginning of \oval %%%%%%%%%%%%%%%
\newdimen\maxovaldiam \maxovaldiam 40pt\relax
X
\def\@oval(#1,#2)[#3]{\begingroup\boxmaxdepth \maxdimen
X  \@ovttrue \@ovbtrue \@ovltrue \@ovrtrue
X  \@tfor\@tempa :=#3\do{\csname @ov\@tempa false\endcsname}\@ovxx
X  #1\unitlength \@ovyy #2\unitlength
X  \@tempdimb \ifdim \@ovyy >\@ovxx \@ovxx\else \@ovyy \fi
X  \@ovro \ifdim \@tempdimb>\maxovaldiam \maxovaldiam\else\@tempdimb\fi\relax
X  \divide \@ovro \tw@
X  \@ovdx\@ovxx \divide\@ovdx \tw@
X  \@ovdy\@ovyy \divide\@ovdy \tw@
X  \setbox\@tempboxa \hbox{%
X  \if@ovr \@ovverta\fi
X  \if@ovl \kern \@ovxx \@ovvertb\kern -\@ovxx \fi
X  \if@ovt \@ovhorz \kern -\@ovxx \fi
X  \if@ovb \raise \@ovyy \@ovhorz \fi}%
X  \ht\@tempboxa\z@ \dp\@tempboxa\z@
X  \@put{-\@ovdx}{-\@ovdy}{\box\@tempboxa}%
X  \endgroup}
X
\def\@qcirc#1#2#3#4{%
X    \special{pn \the\@gphlinewidth}%
X    \@eepictcnt \@gphlinewidth \divide\@eepictcnt 2
X    \@tempcnta #1 
X      \advance\@tempcnta 2368 \divide\@tempcnta 4736
X      \advance\@tempcnta\@eepictcnt
X    \@tempcntb #2 \divide\@tempcntb 4736 \advance\@tempcntb 2
X    \hbox{%
X        \@qcircspecial{\the\@tempcnta}{-\the\@eepictcnt}{\the\@tempcntb}{#3}{#4}}%
}
\def\@qcircspecial#1#2#3#4#5{\special{ar #1 #2 #3 #3 #4 #5}}
X
\def\@ovverta{\vbox to \@ovyy{%
X    \if@ovb
X        \kern \@ovro
X        \@qcirc{\@ovro}{\@ovro}{3.1416}{4.7124}\nointerlineskip
X    \else
X        \kern \@ovdy
X    \fi
X    \leaders\vrule width \@wholewidth\vfil \nointerlineskip
X    \if@ovt
X        \@qcirc{\@ovro}{\@ovro}{1.5708}{3.1416}\nointerlineskip
X        \kern \@ovro
X    \else
X        \kern \@ovdy
X    \fi
}\kern -\@wholewidth}
X
\def\@ovvertb{\vbox to \@ovyy{%
X    \if@ovb
X        \kern \@ovro
X        \@qcirc{-\@ovro}{\@ovro}{4.6124}{6.2832}\nointerlineskip
X    \else
X        \kern \@ovdy
X    \fi
X    \leaders\vrule width \@wholewidth\vfil \nointerlineskip
X    \if@ovt
X        \@qcirc{-\@ovro}{\@ovro}{0}{1.6708}\nointerlineskip
X        \kern \@ovro
X    \else
X        \kern \@ovdy
X    \fi
}\kern -\@wholewidth}
X
\def\@ovhorz{\hbox to \@ovxx{%
X    \if@ovr \kern \@ovro\else \kern \@ovdx \fi
X    \leaders \hrule height \@wholewidth \hfil
X    \if@ovl \kern \@ovro\else \kern \@ovdx \fi
X    }}
%%%%%%%%% End of \oval %%%%%%%%%%%%%%
X
\def\allinethickness#1{\let\@linefnt\tenlnw \let\@circlefnt\tencircw
X    \@wholewidth #1 \@halfwidth .5\@wholewidth
X    \@gphlinewidth\@wholewidth \divide\@gphlinewidth 4736\relax}
X
\def\blacken{\special{bk}}
\def\whiten{\special{wh}}
\def\shade{\special{sh}}
\def\texture#1{\special{tx #1}\ignorespaces}
%% 
\newbox\@filltype
\setbox\@filltype\hbox{\special{bk}}
\def\filltype#1{\@nameuse{ft@#1}}
\def\ft@black{\setbox\@filltype\hbox{\special{bk}}}
\def\ft@white{\setbox\@filltype\hbox{\special{wh}}}
\def\ft@shade{\setbox\@filltype\hbox{\special{sh}}}
%%
SHAR_EOF
chmod 0644 eepic.sty ||
echo 'restore of eepic.sty failed'
Wc_c="`wc -c < 'eepic.sty'`"
test 16693 -eq "$Wc_c" ||
	echo 'eepic.sty: original size 16693, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= epic.sty ==============
if test -f 'epic.sty' -a X"$1" != X"-c"; then
	echo 'x - skipping epic.sty (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting epic.sty (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'epic.sty' &&
\typeout{%
Enhancements to Picture Environment. Version 1.2 - Released June 1, 1986}
%----------------------------------------------------------------------
% Copyright (C) podar@sbcs (Sunil Podar) July 14,1986.
% You may use this file in whatever way you wish. You are requested to 
% leave this notice intact, and report any bugs, enhancements, comments,
% suggestions, etc. to:
% USmail: Sunil Podar,Dept. of Computer Science,SUNY at Stony Brook,NY 11794.
%  CSNET: podar@sbcs.csnet
%   ARPA: podar%suny-sb.csnet@csnet-relay.arpa
%   UUCP: {allegra, hocsd, philabs, ogcvax}!sbcs!podar
%----------------------------------------------------------------------
% This file contains implementation of:
% \multiputlist	\matrixput	\grid		\picsquare
% \dottedline	\dashline	\drawline	\jput
% \putfile
% Environments: dottedjoin, dashjoin and drawjoin
%
% For documentation, see the accompanying manual.
%----------------------------------------------------------------------
% usage: \multiputlist(x,y)(delta-x,delta-y)[tbrl]{item1,item2,item3,.....}
% \lop and \lopoff taken from TeXbook.
%----------------------------------------------------------------------
\def\lop#1\to#2{\expandafter\lopoff#1\lopoff#1#2}
\long\def\lopoff,#1,#2\lopoff#3#4{\def#4{#1}\def#3{,#2}}
\def\@@mlistempty{,}
\newif\iflistnonempty
\def\multiputlist(#1,#2)(#3,#4){\@ifnextchar
[{\@imultiputlist(#1,#2)(#3,#4)}{\@imultiputlist(#1,#2)(#3,#4)[]}}
X
\long\def\@imultiputlist(#1,#2)(#3,#4)[#5]#6{{%
\@xdim=#1\unitlength \@ydim=#2\unitlength
\listnonemptytrue \def\@@mlist{,#6,}% need this for end condition
\loop
\lop\@@mlist\to\@@firstoflist
\@killglue\raise\@ydim\hbox to\z@{\hskip
\@xdim\@imakepicbox(0,0)[#5]{\@@firstoflist}\hss}%
\advance\@xdim #3\unitlength\advance\@ydim #4\unitlength
\ifx\@@mlist\@@mlistempty \listnonemptyfalse\fi
\iflistnonempty
\repeat\relax
\ignorespaces}}
%----------------------------------------------------------------------
% two-dimensional version of \multiput
% \matrixput(0,0)(20,0){5}(0,20){3}{\circle{2}}
%----------------------------------------------------------------------
\newcount\@@multicnt
\def\matrixput(#1,#2)(#3,#4)#5(#6,#7)#8#9{%
\ifnum#5>#8\@matrixput(#1,#2)(#3,#4){#5}(#6,#7){#8}{#9}%
\else\@matrixput(#1,#2)(#6,#7){#8}(#3,#4){#5}{#9}\fi}
X
%% here #5 >= #8
\long\def\@matrixput(#1,#2)(#3,#4)#5(#6,#7)#8#9{{\@killglue%
\@multicnt=#5\relax\@@multicnt=#8\relax%
\@xdim=0pt%
\@ydim=0pt%
\setbox\@tempboxa\hbox{\@whilenum \@multicnt > 0\do {%
%%\typeout{\the\@multicnt, \the\@@multicnt}%
\raise\@ydim\hbox to \z@{\hskip\@xdim #9\hss}%
\advance\@multicnt \m@ne%
\advance\@xdim #3\unitlength\advance\@ydim #4\unitlength}}%
\@xdim=#1\unitlength%
\@ydim=#2\unitlength%
\@whilenum \@@multicnt > 0\do {%
\raise\@ydim\hbox to \z@{\hskip\@xdim \copy\@tempboxa\hss}%
\advance\@@multicnt \m@ne%
SHAR_EOF
true || echo 'restore of epic.sty failed'
fi
echo 'End of  part 2'
echo 'File epic.sty is continued in part 3'
echo 3 > _shar_seq_.tmp
exit 0

From: isozaki@ntt-20.ntt.jp (Hideki ISOZAKI)
Newsgroups: fj.sources
Subject: Miscellaneous style files for LaTeX (3/3)
Date: 9 Jul 92 05:02:21 GMT
Distribution: fj
Organization: NTT Basic Research Laboratories


#!/bin/sh
# this is eclsty.03 (part 3 of a multipart archive)
# do not concatenate these parts, unpack them in order with /bin/sh
# file epic.sty continued
#
if test ! -r _shar_seq_.tmp; then
	echo 'Please unpack part 1 first!'
	exit 1
fi
(read Scheck
 if test "$Scheck" != 3; then
	echo Please unpack part "$Scheck" next!
	exit 1
 else
	exit 0
 fi
) < _shar_seq_.tmp || exit 1
if test ! -f _shar_wnt_.tmp; then
	echo 'x - still skipping epic.sty'
else
echo 'x - continuing file epic.sty'
sed 's/^X//' << 'SHAR_EOF' >> 'epic.sty' &&
\advance\@xdim #6\unitlength\advance\@ydim #7\unitlength}%
\ignorespaces}}
%----------------------------------------------------------------------
%\grid(wd,ht)(delta-wd,delta-ht)[initial-X-integer,initial-Y-integer]
% example: 1. \put(0,0){\grid(95,100)(9.5,10)}
%          2. \put(0,0){\grid(100,100)(10,5)[-10,0]}
%          or \put(0,0){\tiny \grid(100,100)(5,5)[0,0]}%numbers in \tiny font
%----------------------------------------------------------------------
\newcount\d@lta
\newdimen\@delta
\newdimen\@@delta
\newcount\@gridcnt
\def\grid(#1,#2)(#3,#4){\@ifnextchar [{\@igrid(#1,#2)(#3,#4)}%
{\@igrid(#1,#2)(#3,#4)[@,@]}}
X
\long\def\@igrid(#1,#2)(#3,#4)[#5,#6]{%
\makebox(#1,#2){%
\@delta=#1pt\@@delta=#3pt\divide\@delta \@@delta\d@lta=\@delta%
\advance\d@lta \@ne\relax\message{grid=\the\d@lta\space x}%
%% copied the definition of \line(0,1){#2} for some efficiency!.
\multiput(0,0)(#3,0){\d@lta}{\hbox to\z@{\hskip -\@halfwidth \vrule
X	 \@width \@wholewidth \@height #2\unitlength \@depth \z@\hss}}%
\ifx#5@\relax\else%
\global\@gridcnt=#5%
\multiput(0,0)(#3,0){\d@lta}{%
\makebox(0,-2)[t]{\number\@gridcnt\global\advance\@gridcnt by #3}}%
\global\@gridcnt=#5%
\multiput(0,#2)(#3,0){\d@lta}{\makebox(0,0)[b]{\number\@gridcnt\vspace{2mm}%
\global\advance\@gridcnt by #3}}%
\fi%
\@delta=#2pt\@@delta=#4pt\divide\@delta \@@delta\d@lta=\@delta%
\advance\d@lta \@ne\relax\message{\the\d@lta . }%
%% copied the definition of \line(1,0){#1} for some efficiency!.
\multiput(0,0)(0,#4){\d@lta}{\vrule \@height \@halfwidth \@depth \@halfwidth
X	 \@width #1\unitlength}%
\ifx#6@\relax\else
\global\@gridcnt=#6%
\multiput(0,0)(0,#4){\d@lta}{%
\makebox(0,0)[r]{\number\@gridcnt\ \global\advance\@gridcnt by #4}}%
\global\@gridcnt=#6%
\multiput(#1,0)(0,#4){\d@lta}{%
\makebox(0,0)[l]{\ \number\@gridcnt\global\advance\@gridcnt by #4}}%
\fi}}
%----------------------------------------------------------------------
% \picsquare is a centered square of dimensions governed by \thinlines,
% \thicklines or \linethickness declarations.
\def\picsquare{\hskip -0.5\@wholewidth%
\vrule height \@halfwidth depth \@halfwidth width \@wholewidth}
%
% just a square dot with reference point at bottom-left
\def\picsquare@bl{\vrule height \@wholewidth depth \z@  width \@wholewidth}
%----------------------------------------------------------------------
% \begin{dottedjoin}{interdot-gap in units}
% .....			
% \end{dottedjoin}
% \begin{dashjoin}{dash-length in units}{interdotgap in each dash}
% .....			
% \end{dashjoin}
% \begin{drawjoin}
% .....
% \end{drawjoin}
% \jput(x,y){character}
% \dottedline[opt. dotcharacter]{dotgap in units}(x1,y1)(x2,y2)...(xN,yN)
% \dashline[#]{dash-length}[opt. dotgap](x1,y1)(x2,y2)...(xN,yN)
% \drawline[#](x1,y1)(x2,y2)...(xN,yN)
%----------------------------------------------------------------------
% definitions for *join environment. had to do all this mess because of
% optional arguments.
%----------------------------------------------------------------------
\newif\if@jointhem \global\@jointhemfalse
\newif\if@firstpoint \global\@firstpointtrue
\newcount\@joinkind
%\newenvironment{dottedjoin}[1]%[opt char]{dotgap}
%{\global\@jointhemtrue \gdef\dotgap@join{#1}\global\@joinkind=0\relax}%
%{\global\@jointhemfalse \global\@firstpointtrue}
%----------------------------------------------------------------------
\def\dottedjoin{\global\@jointhemtrue \global\@joinkind=0\relax
X  \bgroup\@ifnextchar[{\@idottedjoin}{\@idottedjoin[\picsquare@bl]}}
\def\@idottedjoin[#1]#2{\gdef\dotchar@join{#1}\gdef\dotgap@join{#2}}
\def\enddottedjoin{\global\@jointhemfalse \global\@firstpointtrue\egroup}
%----------------------------------------------------------------------
\def\dashjoin{\global\@jointhemtrue \global\@joinkind=1\relax
X  \bgroup\@ifnextchar[{\@idashjoin}{\@idashjoin[\dashlinestretch]}}
\def\@idashjoin[#1]#2{\edef\dashlinestretch{#1}\gdef\dashlen@join{#2}%
\@ifnextchar[{\@iidashjoin}{\gdef\dotgap@join{}}}
\def\@iidashjoin[#1]{\gdef\dotgap@join{#1}}
\let\enddashjoin\enddottedjoin
%----------------------------------------------------------------------
\def\drawjoin{\global\@jointhemtrue \global\@joinkind=2\relax
X  \bgroup\@ifnextchar[{\@idrawjoin}{}}
\def\@idrawjoin[#1]{\def\drawlinestretch{#1}}
\let\enddrawjoin\enddottedjoin
%----------------------------------------------------------------------
%% this is equiv to \put(x,y){#1} when not in {dot*join} environment.
\long\def\jput(#1,#2)#3{{\@killglue\raise#2\unitlength\hbox to \z@{\hskip
#1\unitlength #3\hss}\ignorespaces}
\if@jointhem
X \if@firstpoint \gdef\x@one{#1} \gdef\y@one{#2} \global\@firstpointfalse
X \else\ifcase\@joinkind
X	\@dottedline[\dotchar@join]{\dotgap@join\unitlength}%
(\x@one\unitlength,\y@one\unitlength)(#1\unitlength,#2\unitlength)
X	\or\@dashline[\dashlinestretch]{\dashlen@join}[\dotgap@join]%
(\x@one,\y@one)(#1,#2)
X	\else\@drawline[\drawlinestretch](\x@one,\y@one)(#1,#2)\fi
X    \gdef\x@one{#1}\gdef\y@one{#2}
X \fi
\fi}
%----------------------------------------------------------------------
\newdimen\@dotgap
\newdimen\@ddotgap
\newcount\@x@diff
\newcount\@y@diff
\newdimen\x@diff
\newdimen\y@diff
\newbox\@dotbox
\newcount\num@segments
\newcount\num@segmentsi
\newif\ifsqrt@done
%% from sqrtandstuff func basically need \num@segments.
%% given a deltax, deltay and dotgap, it calculates \num@segments = number of
%% segments along the hypotenuse. used by \dottedline & \dashline.
%% It finishes quickly if any of deltax or deltay are zero or close to zero.
\def\sqrtandstuff#1#2#3{%
\ifdim #1 <0pt \@x@diff= -#1 \else\@x@diff=#1\fi
\ifdim #2 <0pt \@y@diff= -#2 \else\@y@diff=#2\fi
%% @diff's will be positive and diff's will retain their sign.
\@dotgap=#3 \divide\@dotgap \tw@
\advance\@x@diff \@dotgap \advance\@y@diff \@dotgap% for round-off errors
\@dotgap=#3
\divide\@x@diff \@dotgap \divide\@y@diff \@dotgap
\sqrt@donefalse
\ifnum\@x@diff < 2
X   \ifnum\@y@diff < 2 \num@segments=\@x@diff \advance\num@segments \@y@diff
X		      \sqrt@donetrue
X        \else\num@segments=\@y@diff \sqrt@donetrue\fi
X   \else\ifnum\@y@diff < 2 \num@segments=\@x@diff \sqrt@donetrue\fi
\fi
\ifsqrt@done \ifnum\num@segments=\z@ \num@segments=\@ne\fi\relax
X \else \ifnum\@y@diff >\@x@diff
X		 \@tempcnta=\@x@diff \@x@diff=\@y@diff \@y@diff=\@tempcnta
X       \fi    		%exchange @x@diff & @y@diff, so now @x@diff > @y@diff
X  \num@segments=\@y@diff
X  \multiply\num@segments \num@segments
X  \multiply\num@segments by 457
X  \divide\num@segments \@x@diff
X  \advance\num@segments by 750 % for round-off, going to divide by 1000.
X  \divide\num@segments \@m
X  \advance\num@segments \@x@diff
X		%num@segments = @x@diff + (0.457*sqr(@y@diff)/@x@diff)
\fi}
%----------------------------------------------------------------------
% \dottedline[opt. char]{interdot gap in units}(x1,y1)(x2,y2)....(xN,yN)
%----------------------------------------------------------------------
%% Used the following construction earlier but that results in box memory
%% full much too soon although it works perfectly.
%% \setbox\@dotbox\vbox to\z@{\vss \hbox to\z@{\hss #1\hss}\vss}\relax}
%% The cenetering of characters is achieved by substracting half the ht, wd
%% of character from the (x,y) coordinates where they are to be put. We
%% chose to use a macro for the ``dot'' instead of \copy\box to save memory
%% at the expense of extra cpu, since memory becomes an issue very soon.
%% \picsquare is already centered, whereas other characters, except \circle,
%% will not be cenetered, hence to handle them all in a similar fashion,
%% used \picsquare@bl.
%
% kind of tail recursion.
\def\dottedline{\@ifnextchar [{\@idottedline}{\@idottedline[\picsquare@bl]}}
\def\@idottedline[#1]#2(#3,#4){\@ifnextchar (%
{\@iidottedline[#1]{#2}(#3,#4)}{\relax}}
\def\@iidottedline[#1]#2(#3,#4)(#5,#6){\@dottedline[#1]{#2\unitlength}%
(#3\unitlength,#4\unitlength)(#5\unitlength,#6\unitlength)%
\@idottedline[#1]{#2}(#5,#6)}
%
%% user not supposed to use this directly. arguments in absolute dimensions.
%% need to pass absolute dimens here because dashline calls dottedline and
%% can supply only absolute dimensions.
\long\def\@dottedline[#1]#2(#3,#4)(#5,#6){{%
\x@diff=#5\relax\advance\x@diff by -#3\relax
\y@diff=#6\relax\advance\y@diff by -#4\relax
\sqrtandstuff{\x@diff}{\y@diff}{#2}%
\divide\x@diff \num@segments
\divide\y@diff \num@segments
\advance\num@segments \@ne     % to put the last point at destination.
%%\typeout{num@segments= \the\num@segments}
\setbox\@dotbox\hbox{#1}% just to get the dimensions of the character.
\@xdim=#3 \@ydim=#4
\ifdim\ht\@dotbox >\z@% otherwise its a circle.
X  \advance\@xdim -0.5\wd\@dotbox
X  \advance\@ydim -0.5\ht\@dotbox
X  \advance\@ydim .5\dp\@dotbox\fi
%%circle's have a ht=0, this is one way I could think of to catch circles.
%%following loop is equiv to
%%\multiput(\@xdim,\@ydim)(\x@diff,\y@diff){\num@segments}{#1}
%%with arguments in absolute dimensions.
\@killglue
\loop \ifnum\num@segments > 0
\unskip\raise\@ydim\hbox to\z@{\hskip\@xdim #1\hss}%
\advance\num@segments \m@ne\advance\@xdim\x@diff\advance\@ydim\y@diff%
\repeat
\ignorespaces}}
%----------------------------------------------------------------------
% \dashline[#]{dash-length}[optional dotgap](x1,y1)(x2,y2)...(xN,yN)
% The minimum # of dashes put is 2, one at either end point; dash-length is
% reduced accordingly if necessary. Also have to some dirty work to account
% for stretch & shrink.
% \renewcommand{\dashlinestretch}{-50}  %ONLY INTEGERS PERMITTED.
%----------------------------------------------------------------------
\def\dashlinestretch{0} %well, could have used a counter.
\def\dashline{\@ifnextchar [{\@idashline}{\@idashline[\dashlinestretch]}}
\def\@idashline[#1]#2{\@ifnextchar [{\@iidashline[#1]{#2}}%
{\@iidashline[#1]{#2}[\@empty]}} %\@empty needed-- later checked with \ifx 
\def\@iidashline[#1]#2[#3](#4,#5){\@ifnextchar (%
{\@iiidashline[#1]{#2}[#3](#4,#5)}{\relax}}
%
\def\@iiidashline[#1]#2[#3](#4,#5)(#6,#7){%
\@dashline[#1]{#2}[#3](#4,#5)(#6,#7)%
\@iidashline[#1]{#2}[#3](#6,#7)}
%
\long\def\@dashline[#1]#2[#3](#4,#5)(#6,#7){{%
\x@diff=#6\unitlength \advance\x@diff by -#4\unitlength
\y@diff=#7\unitlength \advance\y@diff by -#5\unitlength
%% correction to get actual width since the dash-length as taken in arguement
%% is the center-to-center of the end-points.
\@tempdima=#2\unitlength \advance\@tempdima -\@wholewidth
\sqrtandstuff{\x@diff}{\y@diff}{\@tempdima}%
\ifnum\num@segments <3 \num@segments=3\fi% min number of dashes I can plot
% is 2, 1 at either end, thus min num@segments is 3 (including 'empty dash').
\@tempdima=\x@diff \@tempdimb=\y@diff
\divide\@tempdimb by\num@segments
\divide\@tempdima by\num@segments
%% ugly if-then-else. If optional dotgap specified, then use it otherwise
%% make a solid looking dash.
{\ifx#3\@empty \relax
X    \ifdim\@tempdima < 0pt \x@diff=-\@tempdima\else\x@diff=\@tempdima\fi
X    \ifdim\@tempdimb < 0pt \y@diff=-\@tempdimb\else\y@diff=\@tempdimb\fi
X    \ifdim\x@diff < 0.3pt %it's a vertical dashline
X           \ifdim\@tempdimb > 0pt
X	        \global\setbox\@dotbox\hbox{\hskip -\@halfwidth \vrule
X		 \@width \@wholewidth \@height \@tempdimb}
X	   \else\global\setbox\@dotbox\hbox{\hskip -\@halfwidth \vrule
X		 \@width \@wholewidth \@height\z@ \@depth -\@tempdimb}\fi
X       \else\ifdim\y@diff < 0.3pt %it's a horizontal dashline
X               \ifdim\@tempdima >0pt
X		  \global\setbox\@dotbox\hbox{\vrule \@height \@halfwidth
X		 		\@depth \@halfwidth \@width \@tempdima}%
X		\else\global\setbox\@dotbox\hbox{\hskip \@tempdima
X			 \vrule \@height \@halfwidth \@depth \@halfwidth
X				 \@width -\@tempdima \hskip \@tempdima}\fi
X	    \else\global\setbox\@dotbox\hbox{%
\@dottedline[\picsquare]{0.98\@wholewidth}(0pt,0pt)(\@tempdima,\@tempdimb)}%
\fi\fi
\else\global\setbox\@dotbox\hbox{%
\@dottedline[\picsquare]{#3\unitlength}(0pt,0pt)(\@tempdima,\@tempdimb)}%
\fi}
\advance\x@diff by -\@tempdima % both have same sign
\advance\y@diff by -\@tempdimb
%
%%here we correct the number of dashes to be put by reducing them
%%appropriately. (num@segments*\@wholewidth) is in some way the slack we
%%have,and division by dash-length gives the reduction. reduction =
%%(2*num@segments*\@wholewidth)/dash-length
%% (num@segments includes empty ones)
\@tempdima=\num@segments\@wholewidth \@tempdima=2\@tempdima 
\@tempcnta=\@tempdima \@tempdima=#2\unitlength \@tempdimb=0.5\@tempdima
\@tempcntb=\@tempdimb \advance\@tempcnta by \@tempcntb % round-off error
\divide\@tempcnta by\@tempdima \advance\num@segments by -\@tempcnta
%
\ifnum #1=0 \relax\else\ifnum #1 < -100
X  \typeout{***dashline: reduction > -100 percent implies blankness!***}%
\else\num@segmentsi=#1 \advance\num@segmentsi by 100
X     \multiply\num@segments by\num@segmentsi \divide\num@segments by 100
\fi\fi
%
\divide\num@segments by 2 % earlier num@segments included 'empty dashes' too.
\ifnum\num@segments >0 % if =0 then don't divide => \x@diff & \y@diff
X \divide\x@diff by\num@segments%   remain same.
X \divide\y@diff by\num@segments
X \advance\num@segments by\@ne %for the last segment for which I subtracted
X	 		     %\@tempdima & \@tempdimb from \x@diff & \y@diff
X \else\num@segments=2 % one at each end.
\fi
%%\typeout{num@segments finally = \the\num@segments}
%% equiv to \multiput(#4,#5)(\x@diff,\y@diff){\num@segments}{\copy\@dotbox}
%% with arguements in absolute dimensions.
\@xdim=#4\unitlength \@ydim=#5\unitlength
\@killglue
\loop \ifnum\num@segments > 0
\unskip\raise\@ydim\hbox to\z@{\hskip\@xdim \copy\@dotbox\hss}%
\advance\num@segments \m@ne\advance\@xdim\x@diff\advance\@ydim\y@diff%
\repeat
\ignorespaces}}
%----------------------------------------------------------------------
%%1.00   .833333  .80  .75  .66666   .60  .50  .40  .33333    .25 .20  .16666
%% .916666 .816666 .775 .708333 .633333 .55 .45 .366666 .291666 .225 .183333
%% 0.0
%%0.083333
%% the first line has absolute slopes corresponding to various permissible
%% integer combinations representing slopes. The second line is the midpoint
%% of all those slopes (attempted to show them in the middle of two entries).
%%
%% \lineslope(x@diff dimen, y@diff dimen)
%% Given base (x@diff) and height (y@diff) in dimensions, determines the
%% closest available slope and returns the two required integers in \@xarg
%% and \@yarg. The given base and height can be ANYTHING, -ve or +ve, or
%% even 0pt. \lineslope knows about (0,1) and (1,0) slopes too and returns
%% correct values if the conditions regarding x@diff & y@diff are obeyed
%% (see NOTE). Used by \drawline. This is the simplest and only way I could
%% figure out to accomplish it!.
%% NOTE: both the dimensions (x@diff & y@diff) must be in SAME units and the
%% larger of the two dimensions must be atleast 1pt (i.e. 65536sp). To avoid
%% dividing by 0, I make the larger dimension = 1pt if it is < 1pt.
%% will need a similar one for vectors, or maybe this can be used. For
%% vectors the range is -4, 4 unlike lines where it is -6, 6.
\newif\if@flippedargs
\def\lineslope(#1,#2){%
\ifdim #1 <0pt \@xdim= -#1 \else\@xdim=#1\fi
\ifdim #2 <0pt \@ydim= -#2 \else\@ydim=#2\fi
%%\typeout{xdim,ydim= \the\@xdim, \the\@ydim}
\ifdim\@xdim >\@ydim \@tempdima=\@xdim \@xdim=\@ydim \@ydim=\@tempdima
\@flippedargstrue\else\@flippedargsfalse\fi% x < y
\ifdim\@ydim >1pt \@tempcnta=\@ydim
X            \divide\@tempcnta by 65536% now \@tempcnta=integral part of #1.
X            \divide\@xdim \@tempcnta\fi
\ifdim\@xdim <.083333pt \@xarg=1 \@yarg=0
X \else\ifdim\@xdim <.183333pt	\@xarg=6 \@yarg=1
X \else\ifdim\@xdim <.225pt 	\@xarg=5 \@yarg=1
X \else\ifdim\@xdim <.291666pt 	\@xarg=4 \@yarg=1
X \else\ifdim\@xdim <.366666pt 	\@xarg=3 \@yarg=1
X \else\ifdim\@xdim <.45pt 	\@xarg=5 \@yarg=2
X \else\ifdim\@xdim <.55pt 	\@xarg=2 \@yarg=1
X \else\ifdim\@xdim <.633333pt 	\@xarg=5 \@yarg=3
X \else\ifdim\@xdim <.708333pt 	\@xarg=3 \@yarg=2
X \else\ifdim\@xdim <.775pt 	\@xarg=4 \@yarg=3
X \else\ifdim\@xdim <.816666pt 	\@xarg=5 \@yarg=4
X \else\ifdim\@xdim <.916666pt 	\@xarg=6 \@yarg=5
X       \else			\@xarg=1 \@yarg=1%
\fi\fi\fi\fi\fi\fi\fi\fi\fi\fi\fi\fi
\if@flippedargs\relax\else\@tempcnta=\@xarg \@xarg=\@yarg
X			  \@yarg=\@tempcnta\fi
\ifdim #1 <0pt \@xarg= -\@xarg\fi
\ifdim #2 <0pt \@yarg= -\@yarg\fi
%%\typeout{closest slope integers = \the\@xarg, \the\@yarg}
}
%----------------------------------------------------------------------
% usage: \drawline[#](x1,y1)(x2,y2)....(xN,yN)
%       		 % # is an optional integer between -100 & infinity.
% \renewcommand{\drawlinestretch}{-50}  %ONLY INTEGERS PERMITTED.
%----------------------------------------------------------------------
\newif\if@toosmall
\newif\if@drawit
\newif\if@horvline
\def\drawlinestretch{0} %well, could have used a counter.
% kind of tail recursion.
\def\drawline{\@ifnextchar [{\@idrawline}{\@idrawline[\drawlinestretch]}}
\def\@idrawline[#1](#2,#3){\@ifnextchar ({\@iidrawline[#1](#2,#3)}{\relax}}
\def\@iidrawline[#1](#2,#3)(#4,#5){\@drawline[#1](#2,#3)(#4,#5)
\@idrawline[#1](#4,#5)}
%
\def\@drawline[#1](#2,#3)(#4,#5){{%
\x@diff=#4\unitlength \advance\x@diff by -#2\unitlength
\y@diff=#5\unitlength \advance\y@diff by -#3\unitlength
%% override any linethickness declarations, and since horiz & vertical lines
%% come out thinner than the slanted ones, assign slightly larger values.
%% default values are: thinlines=0.4pt, thicklines=0.8pt
\ifx\@linefnt\tenln \linethickness{0.5pt} \else \linethickness{0.9pt}\fi
\lineslope(\x@diff,\y@diff)% returns the two integers in \@xarg & \@yarg.
%------
\@toosmalltrue
{\ifdim\x@diff <\z@ \x@diff=-\x@diff\fi
X \ifdim\y@diff <\z@ \y@diff=-\y@diff\fi
X \ifdim\x@diff >10pt \global\@toosmallfalse\fi
X \ifdim\y@diff >10pt \global\@toosmallfalse\fi}%
%------
%% For efficiency, if the line is horiz or vertical then we draw it in one
%% shot, only if the stretch is not -ve and the line is not too small.
\@drawitfalse\@horvlinefalse
\ifnum#1 <0 \relax\else\@horvlinetrue\fi
\if@toosmall\@horvlinetrue\fi% to get 'or' condition. We necessarily draw a 
% solid line if the line is too small ignoring any -ve stretch.
\if@horvline
X \ifdim\x@diff =0pt \put(#2,#3){\ifdim\y@diff >0pt \@linelen=\y@diff \@upline
X 				\else\@linelen=-\y@diff \@downline\fi}%
X \else\ifdim\y@diff =0pt
X          \ifdim\x@diff >0pt \put(#2,#3){\vrule \@height \@halfwidth \@depth
X				\@halfwidth \@width \x@diff}%
X		\else \put(#4,#5){\vrule \@height \@halfwidth \@depth
X				\@halfwidth \@width -\x@diff}\fi
X       \else\@drawittrue\fi\fi % construct the line explicitly
\else\@drawittrue\fi
%-------------------------------
\if@drawit
\ifnum\@xarg< 0 \@negargtrue\else\@negargfalse\fi
\ifnum\@xarg =0 \setbox\@linechar%
\hbox{\hskip -\@halfwidth \vrule \@width \@wholewidth \@height 10.2pt
X \@depth \z@}
\else \ifnum\@yarg =0 \setbox\@linechar%
\hbox{\vrule \@height \@halfwidth \@depth \@halfwidth \@width 10.2pt}%
\else \if@negarg \@xarg -\@xarg \@yyarg -\@yarg
X        \else \@yyarg \@yarg\fi
\ifnum\@yyarg >0 \@tempcnta\@yyarg \else \@tempcnta -\@yyarg\fi
\setbox\@linechar\hbox{\@linefnt\@getlinechar(\@xarg,\@yyarg)}%
\fi\fi
%------
\if@toosmall% => it isn't a horiz or vert line and is toosmall.
X  \@dottedline[\picsquare]{.98\@wholewidth}%
(#2\unitlength,#3\unitlength)(#4\unitlength,#5\unitlength)%
\else
%% following is neat. The last segment takes \wd\@linechar & \ht\@linechar
%% so plot the line as though it were from (#2,#3) to
%% (#4-\wd\@linechar,#5-\ht\@linechar) (i.e. for positive slope; of course,
%% signs are reversed for other slopes). For horizontal & vertical dashes we
%% don't have to subtract the ht & wd resp. since they are already centered.
\ifnum\@xarg=0\relax\else\ifdim\x@diff >\z@ \advance\x@diff -\wd\@linechar
X  \else\advance\x@diff \wd\@linechar\fi\fi
\ifnum\@yarg=0\relax\else\ifdim\y@diff >\z@\advance\y@diff -\ht\@linechar
X  \else\advance\y@diff \ht\@linechar\fi\fi
\ifdim\x@diff <\z@ \@x@diff=-\x@diff \else\@x@diff=\x@diff\fi
\ifdim\y@diff <\z@ \@y@diff=-\y@diff \else\@y@diff=\y@diff\fi
%%\typeout{x@diff,y@diff=\the\x@diff , \the\y@diff}
\num@segments=0 \num@segmentsi=0
\ifdim\wd\@linechar >1pt
X \num@segmentsi=\@x@diff \divide\num@segmentsi \wd\@linechar\fi
\ifdim\ht\@linechar >1pt
X \num@segments=\@y@diff \divide\num@segments \ht\@linechar\fi
\ifnum\num@segmentsi >\num@segments \num@segments=\num@segmentsi\fi
\advance\num@segments \@ne %to account for round-off error
%
\ifnum #1=0 \relax \else\ifnum #1 < -99
X  \typeout{***drawline: reduction <= -100 percent implies blankness!***}%
\else\num@segmentsi=#1 \advance\num@segmentsi by 100
X     \multiply\num@segments \num@segmentsi
X     \divide\num@segments by 100
X     \ifnum \num@segments=0 \num@segments=1 \fi
\fi\fi
%%\typeout{num@segments after = \the\num@segments}
%
\divide\x@diff \num@segments
\divide\y@diff \num@segments
\advance\num@segments \@ne %for the last segment for which I subtracted
X			  %\wd & \ht of \@linechar from \@x@diff & \@y@diff.
%%\typeout{numseg,x@diff,y@diff= \the\num@segments, \the\x@diff, \the\y@diff}
%
\@xdim=#2\unitlength \@ydim=#3\unitlength
\if@negarg \advance\@xdim -\wd\@linechar\fi
\ifnum\@yarg <0 \advance\@ydim -\ht\@linechar\fi
%%following loop equiv to \multiput@abs(\@xdim,\@ydim)%
%%(\x@diff,\y@diff){\num@segments}{\copy\@linechar}
%%with arguements in absolute dimensions.
\@killglue
\loop \ifnum\num@segments > 0
\unskip\raise\@ydim\hbox to\z@{\hskip\@xdim \copy\@linechar\hss}%
\advance\num@segments \m@ne\advance\@xdim\x@diff\advance\@ydim\y@diff%
\repeat
\ignorespaces
\fi%the if of @toosmall
\fi}}% for \if@drawit
%----------------------------------------------------------------------
%usage: \putfile{datafile}{OBJECT}
% The OBJECT is plotted at EACH of the coordinates read from the datafile.
% The idea of these macros is to generate (x,y) pairs using some program
% and then directly use those coordinates. Since TeX doesn't have real
% floating point calculations, it is much more efficient and accurate to do
% things this way. One can also use the unix facility 'spline' now to
% generate smooth curves with equidistant ``dots''.
% NOTE: the external file of coordinates must have x y pairs with a space
% between them. Also it is suggested that some extension such as '.put'
% be used for such datafiles to distinguish them in which case it must
% be explicitely specified in the 1st argument so that TeX doesn't look
% for a .tex extension.
% The % char remains valid as a comment char and such lines are ignored;
% however, there should be atleast one space after the second entry if a
% comment is on the same line as data since % eats up the newline.
%-----------------------------------------------------------------------
\long\def\splittwoargs#1 #2 {(#1,#2)}
%
\newif\if@stillmore
\newread\@datafile
\long\def\putfile#1#2{\openin\@datafile = #1
\@stillmoretrue
\loop
\ifeof\@datafile\relax\else\read\@datafile to\@dataline\fi
%if file nonexistent, do nothing.
\ifeof\@datafile\@stillmorefalse
\else\ifx\@dataline\@empty \relax
X     \else
\expandafter\expandafter\expandafter\put\expandafter\splittwoargs%
\@dataline{#2}%
X     \fi
\fi
\if@stillmore
\repeat
\closein\@datafile
}
%----------------------------------------------------------------------
SHAR_EOF
echo 'File epic.sty is complete' &&
chmod 0644 epic.sty ||
echo 'restore of epic.sty failed'
Wc_c="`wc -c < 'epic.sty'`"
test 25856 -eq "$Wc_c" ||
	echo 'epic.sty: original size 25856, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= hiraa.ps ==============
if test -f 'hiraa.ps' -a X"$1" != X"-c"; then
	echo 'x - skipping hiraa.ps (File already exists)'
	rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
echo 'x - extracting hiraa.ps (Text)'
sed 's/^X//' << 'SHAR_EOF' > 'hiraa.ps' &&
%!PS-Adobe-2.0 EPSF-1.2
%%DocumentFonts:
%%Pages: 1
%%BoundingBox: 156 292 406 563
%%EndComments
X
50 dict begin
X
/arrowHeight 8 def
/arrowWidth 4 def
/none null def
/numGraphicParameters 17 def
/stringLimit 65535 def
X
/Begin {
save
numGraphicParameters dict begin
} def
X
/End {
end
restore
} def
X
/SetB {
dup type /nulltype eq {
pop
false /brushRightArrow idef
false /brushLeftArrow idef
true /brushNone idef
} {
/brushDashOffset idef
/brushDashArray idef
0 ne /brushRightArrow idef
0 ne /brushLeftArrow idef
/brushWidth idef
false /brushNone idef
} ifelse
} def
X
/SetCFg {
/fgblue idef
/fggreen idef
/fgred idef
} def
X
/SetCBg {
/bgblue idef
/bggreen idef
/bgred idef
} def
X
/SetF {
/printSize idef
/printFont idef
} def
X
/SetP {
dup type /nulltype eq {
pop true /patternNone idef
} {
/patternGrayLevel idef
patternGrayLevel -1 eq {
/patternString idef
} if
false /patternNone idef
} ifelse
} def
X
/BSpl {
0 begin
storexyn
newpath
n 1 gt {
0 0 0 0 0 0 1 1 true subspline
n 2 gt {
0 0 0 0 1 1 2 2 false subspline
1 1 n 3 sub {
/i exch def
i 1 sub dup i dup i 1 add dup i 2 add dup false subspline
} for
n 3 sub dup n 2 sub dup n 1 sub dup 2 copy false subspline
} if
n 2 sub dup n 1 sub dup 2 copy 2 copy false subspline
patternNone not brushLeftArrow not brushRightArrow not and and { ifill } if
brushNone not { istroke } if
0 0 1 1 leftarrow
n 2 sub dup n 1 sub dup rightarrow
} if
end
} dup 0 4 dict put def
X
/Circ {
newpath
0 360 arc
patternNone not { ifill } if
brushNone not { istroke } if
} def
X
/CBSpl {
0 begin
dup 2 gt {
storexyn
newpath
n 1 sub dup 0 0 1 1 2 2 true subspline
1 1 n 3 sub {
/i exch def
i 1 sub dup i dup i 1 add dup i 2 add dup false subspline
} for
n 3 sub dup n 2 sub dup n 1 sub dup 0 0 false subspline
n 2 sub dup n 1 sub dup 0 0 1 1 false subspline
patternNone not { ifill } if
brushNone not { istroke } if
} {
Poly
} ifelse
end
} dup 0 4 dict put def
X
/Elli {
0 begin
newpath
4 2 roll
translate
scale
0 0 1 0 360 arc
patternNone not { ifill } if
brushNone not { istroke } if
end
} dup 0 1 dict put def
X
/Line {
0 begin
2 storexyn
newpath
x 0 get y 0 get moveto
x 1 get y 1 get lineto
brushNone not { istroke } if
0 0 1 1 leftarrow
0 0 1 1 rightarrow
end
} dup 0 4 dict put def
X
/MLine {
0 begin
storexyn
newpath
n 1 gt {
x 0 get y 0 get moveto
1 1 n 1 sub {
/i exch def
x i get y i get lineto
} for
patternNone not brushLeftArrow not brushRightArrow not and and { ifill } if
brushNone not { istroke } if
0 0 1 1 leftarrow
n 2 sub dup n 1 sub dup rightarrow
} if
end
} dup 0 4 dict put def
X
/Poly {
3 1 roll
newpath
moveto
-1 add
{ lineto } repeat
closepath
patternNone not { ifill } if
brushNone not { istroke } if
} def
X
/Rect {
0 begin
/t exch def
/r exch def
/b exch def
/l exch def
newpath
l b moveto
l t lineto
r t lineto
r b lineto
closepath
patternNone not { ifill } if
brushNone not { istroke } if
end
} dup 0 4 dict put def
X
/Text {
ishow
} def
X
/idef {
dup where { pop pop pop } { exch def } ifelse
} def
X
/ifill {
0 begin
gsave
patternGrayLevel -1 ne {
fgred bgred fgred sub patternGrayLevel mul add
fggreen bggreen fggreen sub patternGrayLevel mul add
fgblue bgblue fgblue sub patternGrayLevel mul add setrgbcolor
eofill
} {
eoclip
originalCTM setmatrix
pathbbox /t exch def /r exch def /b exch def /l exch def
/w r l sub ceiling cvi def
/h t b sub ceiling cvi def
/imageByteWidth w 8 div ceiling cvi def
/imageHeight h def
bgred bggreen bgblue setrgbcolor
eofill
fgred fggreen fgblue setrgbcolor
w 0 gt h 0 gt and {
l b translate w h scale
w h true [w 0 0 h neg 0 h] { patternproc } imagemask
} if
} ifelse
grestore
end
} dup 0 8 dict put def
X
/istroke {
gsave
brushDashOffset -1 eq {
[] 0 setdash
1 setgray
} {
brushDashArray brushDashOffset setdash
fgred fggreen fgblue setrgbcolor
} ifelse
brushWidth setlinewidth
originalCTM setmatrix
stroke
grestore
} def
X
/ishow {
0 begin
gsave
printFont findfont printSize scalefont setfont
fgred fggreen fgblue setrgbcolor
/vertoffset printSize neg def {
0 vertoffset moveto show
/vertoffset vertoffset printSize sub def
} forall
grestore
end
} dup 0 3 dict put def
X
/patternproc {
0 begin
/patternByteLength patternString length def
/patternHeight patternByteLength 8 mul sqrt cvi def
/patternWidth patternHeight def
/patternByteWidth patternWidth 8 idiv def
/imageByteMaxLength imageByteWidth imageHeight mul
stringLimit patternByteWidth sub min def
/imageMaxHeight imageByteMaxLength imageByteWidth idiv patternHeight idiv
patternHeight mul patternHeight max def
/imageHeight imageHeight imageMaxHeight sub store
/imageString imageByteWidth imageMaxHeight mul patternByteWidth add string def
0 1 imageMaxHeight 1 sub {
/y exch def
/patternRow y patternByteWidth mul patternByteLength mod def
/patternRowString patternString patternRow patternByteWidth getinterval def
/imageRow y imageByteWidth mul def
0 patternByteWidth imageByteWidth 1 sub {
/x exch def
imageString imageRow x add patternRowString putinterval
} for
} for
imageString
end
} dup 0 12 dict put def
X
/min {
dup 3 2 roll dup 4 3 roll lt { exch } if pop
} def
X
/max {
dup 3 2 roll dup 4 3 roll gt { exch } if pop
} def
X
/arrowhead {
0 begin
transform originalCTM itransform
/taily exch def
/tailx exch def
transform originalCTM itransform
/tipy exch def
/tipx exch def
/dy tipy taily sub def
/dx tipx tailx sub def
/angle dx 0 ne dy 0 ne or { dy dx atan } { 90 } ifelse def
gsave
originalCTM setmatrix
tipx tipy translate
angle rotate
newpath
0 0 moveto
arrowHeight neg arrowWidth 2 div lineto
arrowHeight neg arrowWidth 2 div neg lineto
closepath
patternNone not {
originalCTM setmatrix
/padtip arrowHeight 2 exp 0.25 arrowWidth 2 exp mul add sqrt brushWidth mul
arrowWidth div def
/padtail brushWidth 2 div def
tipx tipy translate
angle rotate
padtip 0 translate
arrowHeight padtip add padtail add arrowHeight div dup scale
arrowheadpath
ifill
} if
brushNone not {
originalCTM setmatrix
tipx tipy translate
angle rotate
arrowheadpath
istroke
} if
grestore
end
} dup 0 9 dict put def
X
/arrowheadpath {
newpath
0 0 moveto
arrowHeight neg arrowWidth 2 div lineto
arrowHeight neg arrowWidth 2 div neg lineto
closepath
} def
X
/leftarrow {
0 begin
y exch get /taily exch def
x exch get /tailx exch def
y exch get /tipy exch def
x exch get /tipx exch def
brushLeftArrow { tipx tipy tailx taily arrowhead } if
end
} dup 0 4 dict put def
X
/rightarrow {
0 begin
y exch get /tipy exch def
x exch get /tipx exch def
y exch get /taily exch def
x exch get /tailx exch def
brushRightArrow { tipx tipy tailx taily arrowhead } if
end
} dup 0 4 dict put def
X
/midpoint {
0 begin
/y1 exch def
/x1 exch def
/y0 exch def
/x0 exch def
x0 x1 add 2 div
y0 y1 add 2 div
end
} dup 0 4 dict put def
X
/thirdpoint {
0 begin
/y1 exch def
/x1 exch def
/y0 exch def
/x0 exch def
x0 2 mul x1 add 3 div
y0 2 mul y1 add 3 div
end
} dup 0 4 dict put def
X
/subspline {
0 begin
/movetoNeeded exch def
y exch get /y3 exch def
x exch get /x3 exch def
y exch get /y2 exch def
x exch get /x2 exch def
y exch get /y1 exch def
x exch get /x1 exch def
y exch get /y0 exch def
x exch get /x0 exch def
x1 y1 x2 y2 thirdpoint
/p1y exch def
/p1x exch def
x2 y2 x1 y1 thirdpoint
/p2y exch def
/p2x exch def
x1 y1 x0 y0 thirdpoint
p1x p1y midpoint
/p0y exch def
/p0x exch def
x2 y2 x3 y3 thirdpoint
p2x p2y midpoint
/p3y exch def
/p3x exch def
movetoNeeded { p0x p0y moveto } if
p1x p1y p2x p2y p3x p3y curveto
end
} dup 0 17 dict put def
X
/storexyn {
/n exch def
/y n array def
/x n array def
n 1 sub -1 0 {
/i exch def
y i 3 2 roll put
x i 3 2 roll put
} for
} def
X
%%EndProlog
X
%I Idraw 5 Grid 8
X
%%Page: 1 1
X
Begin
%I b u
%I cfg u
%I cbg u
%I f u
%I p u
%I t
[ .72 0 0 .72 0 0 ] concat
/originalCTM matrix currentmatrix def
X
Begin %I BSpl
%I b 65535
1 0 0 [] 0 SetB
%I cfg Black
0 0 0 SetCFg
%I cbg White
1 1 1 SetCBg
%I p
0 SetP
%I t u
%I 9
265 722
312 698
396 706
441 721
510 727
467 692
394 674
301 679
282 695
9 BSpl
End
X
Begin %I BSpl
%I b 65535
1 0 0 [] 0 SetB
%I cfg Black
0 0 0 SetCFg
%I cbg White
1 1 1 SetCBg
%I p
0 SetP
%I t u
%I 10
340 781
369 748
370 693
356 605
354 509
389 428
368 409
329 457
323 577
337 725
10 BSpl
End
X
Begin %I BSpl
%I b 65535
1 0 0 [] 0 SetB
%I cfg Black
0 0 0 SetCFg
%I cbg White
1 1 1 SetCBg
%I p
0 SetP
%I t u
%I 25
466 665
478 570
425 493
264 408
225 483
219 542
290 611
394 633
500 611
529 579
563 525
530 426
414 432
491 449
525 504
495 568
450 593
390 597
300 582
251 525
256 486
277 464
343 478
406 514
445 587
25 BSpl
End
X
End %I eop
X
showpage
X
%%Trailer
X
end
SHAR_EOF
chmod 0644 hiraa.ps ||
echo 'restore of hiraa.ps failed'
Wc_c="`wc -c < 'hiraa.ps'`"
test 8415 -eq "$Wc_c" ||
	echo 'hiraa.ps: original size 8415, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
rm -f _shar_seq_.tmp
echo You have unpacked the last part
exit 0

